/********************************************************************
This file is part of the abs 0.6a distribution.  abs is a spreadsheet
with graphical user interface.

Copyright (C) 1998-1999  Andr Bertin (Andre.Bertin@ping.be) 

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version if in the same spirit as version 2.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Concact: Andre.Bertin@ping.be
         http://www.ping.be/bertin/abs.shtml

*********************************************************************/

#ifndef CHART_VB_H
#define CHART_VB_H
#include "chart.h"
#include "object.h"

extern obj vb_g_tempchartobjects (int narg, obj * arg);

extern obj vb_chartobjects_add (int narg, obj * arg);
extern obj vb_chartobjects_delete (int narg, obj * arg);
extern obj vb_chartobject_activate (int narg, obj * arg);

extern obj vb_chartobject_gchart (int narg, obj * arg);
extern obj vb_chartobject_setchart (int narg, obj * arg);

extern obj vb_g_ActiveChart ();

extern obj vb_chart_settitle (int narg, obj * arg);
extern obj vb_chart_gtitle (int narg, obj * arg);

extern obj vb_seriescollection_nserie (int narg, obj * arg);
extern obj vb_chart_gserie (int narg, obj * arg);
extern obj vb_serie_setxvalues (int narg, obj * arg);
extern obj vb_serie_gxvalues (int narg, obj * arg);
extern obj vb_serie_setname (int narg, obj * arg);
extern obj vb_serie_gname (int narg, obj * arg);
extern obj vb_serie_setvalues (int narg, obj * arg);
extern obj vb_serie_gvalues (int narg, obj * arg);

extern obj vb_chart_gaxis (int narg, obj * arg);
extern obj vb_chart_sethastitle (int narg, obj * arg);
extern obj vb_chart_ghastitle (int narg, obj * arg);
extern obj vb_chart_setcharttype (int narg, obj * arg);
extern obj vb_chart_gcharttype (int narg, obj * arg);

#endif
