/********************************************************************
This file is part of the abs 0.6a distribution.  abs is a spreadsheet
with graphical user interface.

Copyright (C) 1998-1999  Andr Bertin (Andre.Bertin@ping.be) 

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version if in the same spirit as version 2.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Concact: Andre.Bertin@ping.be
         http://www.ping.be/bertin/abs.shtml

*********************************************************************/

#ifndef lint
static char yysccsid[] = "@(#)yaccpar	1.9 (Berkeley) 02/21/93";
#endif
#define YYBYACC 1
#define YYMAJOR 1
#define YYMINOR 9
#define yyclearin (yychar=(-1))
#define yyerrok (yyerrflag=0)
#define YYRECOVERING (yyerrflag!=0)
#define YYPREFIX "yy"
#line 2 "gram.y"
#include <stdio.h>
#include "gram_ext.h"
#include "object.h"
#include "node.h"
#include "interpret.h"

extern int yylex ();
extern void XeditPrintf (char *buf);
int yyerror (char *s);

#define YYERROR_VERBOSE

#line 24 "gram.y"
typedef union
  {

    obj o;
    nodeType *nPtr;
  }
YYSTYPE;
#line 40 "y.tab.c"
#define END_OF_MODULE 257
#define BEGIN_OF_MODULE 258
#define BEGIN_OF_FORMULA 259
#define END_OF_FORMULA 260
#define SUB 261
#define FUNCTION 262
#define ARG 263
#define END 264
#define IF 265
#define THEN 266
#define ENDIF 267
#define CASE 268
#define SELECT 269
#define CASEELSE 270
#define WHILE 271
#define DO 272
#define LOOP 273
#define UNTIL 274
#define LOOPUNTIL 275
#define LOOPWHILE 276
#define FOR 277
#define EACH 278
#define IN 279
#define EXIT 280
#define TO 281
#define STEP 282
#define NEXT 283
#define CALL 284
#define GOTO 285
#define CONTINUE 286
#define BREAK 287
#define RETURN 288
#define PRINT 289
#define NEWLINE 290
#define INTEGER_CONSTANT 291
#define FLOATING_CONSTANT 292
#define STRING_CONSTANT 293
#define CHARACTER_CONSTANT 294
#define DATE_CONSTANT 295
#define IDENTIFIER 296
#define DEREFID 297
#define BASEOBJECT 298
#define RETURNOBJECT 299
#define FCTMEMBERFCT 300
#define OBJMEMBERFCT 301
#define BUILTINFUNCTION 302
#define USERFUNCTION 303
#define MEMBERFUNCTION 304
#define DEREFMF 305
#define ALONEOBJ 306
#define OPERATION 307
#define MEMBER 308
#define WITH 309
#define DIM 310
#define PUBLIC 311
#define STATIC 312
#define AS 313
#define NEW 314
#define CONST 315
#define DIMS 316
#define OBJECT 317
#define BYTE 318
#define INTEGER 319
#define LONG 320
#define SINGLE 321
#define DOUBLE 322
#define CURRENCY 323
#define STRING 324
#define BOOLEAN 325
#define VARIANT 326
#define DATE 327
#define OBJARG 328
#define SET 329
#define NOT 330
#define AND 331
#define OR 332
#define XOR 333
#define EQV 334
#define IMP 335
#define EQ 336
#define NE 337
#define LT 338
#define GT 339
#define LE 340
#define GE 341
#define LIKE 342
#define LS 343
#define MOD 344
#define UMINUS 345
#define VAL36LUS 346
#define ELSE 347
#define YYERRCODE 256
short yylhs[] =
{-1,
 0, 0, 0, 0, 30, 31, 3, 3, 3, 4,
 4, 5, 1, 1, 1, 1, 1, 1, 1, 6,
 6, 6, 6, 6, 6, 6, 26, 26, 27, 27,
 23, 23, 24, 24, 24, 32, 32, 32, 32, 32,
 32, 32, 32, 32, 32, 32, 7, 7, 7, 28,
 28, 28, 28, 28, 28, 28, 28, 8, 8, 8,
 8, 8, 8, 8, 22, 22, 9, 9, 9, 9,
 9, 9, 10, 10, 10, 11, 11, 11, 12, 12,
 12, 17, 17, 16, 13, 13, 13, 2, 2, 2,
 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
 2, 2, 14, 14, 14, 14, 14, 14, 29, 29,
 15, 15, 25, 18, 18, 18, 18, 18, 18, 18,
 19, 20, 21, 21,
};
short yylen[] =
{2,
 2, 3, 4, 4, 2, 2, 0, 1, 2, 2,
 2, 2, 1, 1, 1, 1, 1, 1, 1, 2,
 1, 8, 8, 7, 7, 6, 2, 3, 2, 3,
 1, 1, 0, 2, 3, 1, 1, 1, 1, 1,
 1, 1, 1, 1, 1, 1, 7, 10, 7, 4,
 4, 4, 4, 5, 5, 5, 5, 6, 6, 6,
 6, 9, 11, 8, 1, 2, 3, 2, 2, 2,
 2, 2, 3, 4, 4, 2, 3, 1, 2, 3,
 3, 1, 3, 4, 1, 1, 1, 2, 2, 3,
 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
 3, 3, 3, 3, 3, 2, 3, 3, 3, 3,
 3, 1, 1, 1, 1, 1, 1, 1, 1, 2,
 1, 3, 1, 1, 2, 2, 2, 2, 2, 2,
 2, 2, 1, 2,
};
short yydefred[] =
{0,
 0, 0, 0, 0, 0, 1, 5, 0, 113, 114,
 119, 121, 123, 0, 0, 0, 0, 0, 112, 0,
 0, 0, 124, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 31, 32, 0, 0,
 0, 0, 8, 0, 17, 14, 15, 16, 13, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 89, 88,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 131, 0, 82, 0, 127, 0,
 126, 0, 130, 0, 120, 0, 0, 0, 0, 0,
 0, 133, 0, 0, 0, 0, 0, 72, 71, 70,
 69, 0, 0, 12, 0, 0, 27, 0, 0, 0,
 0, 0, 9, 2, 0, 0, 0, 0, 0, 0,
 0, 20, 4, 110, 3, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 96, 122, 0, 76, 0, 0, 0,
 0, 132, 0, 0, 0, 0, 0, 0, 134, 0,
 0, 0, 67, 0, 0, 0, 6, 0, 0, 0,
 28, 0, 36, 37, 38, 39, 40, 41, 42, 43,
 44, 45, 46, 34, 0, 79, 0, 0, 77, 0,
 83, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 35, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 58, 59, 0, 0, 0, 0, 26, 0, 0,
 24, 25, 47, 0, 0, 0, 0, 0, 49, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 64, 0, 0, 22,
 23, 0, 0, 0, 0, 0, 0, 0, 62, 48,
 0, 63,
};
short yydgoto[] =
{4,
 41, 18, 42, 43, 44, 45, 46, 47, 48, 49,
 85, 159, 50, 19, 51, 87, 88, 21, 22, 91,
 103, 277, 54, 132, 23, 55, 56, 224, 24, 5,
 124, 194,
};
short yysindex[] =
{-47,
 -239, -238, -7, 0, 3555, 0, 0, -225, 0, 0,
 0, 0, 0, 254, 254, 254, 254, 949, 0, -3,
 -241, -241, 0, -224, -218, -218, 254, -182, -173, -194,
 -104, -218, 254, 3610, -218, -218, 0, 0, -255, -235,
 -183, 372, 0, -183, 0, 0, 0, 0, 0, 52,
 35, -241, -241, -174, 85, -37, -137, 172, 0, 0,
 566, -134, 254, 254, 254, 254, 254, 254, 254, 254,
 254, 254, 254, 254, 254, 254, 254, 254, 254, 254,
 254, -218, -218, 94, 0, -1, 0, 97, 0, -36,
 0, -36, 0, -36, 0, -9, -9, 1068, 254, 254,
 254, 0, 2950, 254, 98, -241, -241, 0, 0, 0,
 0, -9, 1297, 0, -25, 131, 0, 16, -45, -241,
 -125, -118, 0, 0, -125, 254, -218, -218, -255, 234,
 -218, 0, 0, 0, 0, 172, 172, 172, 172, 172,
 -28, -28, -28, -28, -28, -28, -22, -29, -29, 91,
 91, 91, 91, 0, 0, 131, 0, 1105, 59, 132,
 -218, 0, -183, -183, -183, 1136, 1136, 1136, 0, 3005,
 1200, 254, 0, 2950, 254, 254, 0, 1297, -9, -9,
 0, -97, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 131, 0, 254, 254, 0, 254,
 0, 2950, 2950, 2950, -240, 2950, 2950, -143, 254, 1266,
 3060, 1297, 1297, -183, -183, 0, 1297, 1297, 1297, 3115,
 3170, 2685, -40, -210, 3225, 3280, 254, 254, 1136, 254,
 -102, 2950, 2950, -48, -30, -31, -183, -46, 1015, -33,
 -34, 0, 0, 1297, 1297, 2950, 124, 0, 3335, 3390,
 0, 0, 0, 2950, 3555, 2950, 3555, 2950, 0, -11,
 1046, 3445, 254, 2950, -26, -23, 3500, 3555, 3555, 3555,
 3555, 3555, 2950, 3555, 2950, -218, 0, 1136, 3445, 0,
 0, -24, 3555, 3555, 3555, 3555, 131, 2950, 0, 0,
 3445, 0,
};
short yyrindex[] =
{0,
 0, 0, 0, 0, -14, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 988,
 480, 544, 0, 1, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 179, -21, 10, 0, -44, -35, 0, 1956, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 581, 0, 38,
 0, 102, 0, 139, 0, 0, 0, 0, 0, 0,
 0, 0, -19, 0, 0, 181, 184, 0, 0, 0,
 0, 0, -13, 0, 0, -43, 0, 0, 0, 0,
 2357, 0, 0, 0, 2854, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 2002, 2061, 2097, 2159, 2195,
 1550, 1632, 1695, 1759, 1858, 1893, 1515, 1389, 1452, 673,
 795, 885, 924, 0, 0, 443, 0, 67, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 14, 0, 0, 0, -18, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, -42, 0, 0, 0, 0, 0,
 0, 14, 14, -242, 0, -19, -19, 0, 0, 0,
 0, -17, -15, 0, 0, 0, 68, 92, 2199, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 14, 14, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, -2, 2, 12, 0, 0, 0, 0,
 0, 0, 0, 14, -158, -158, -158, -158, 0, 0,
 0, 0, 0, 12, 0, 0, 0, -149, -126, -90,
 -73, -158, -158, -158, -158, 13, 0, 0, 0, 0,
 0, 0, -65, -63, -62, -60, 18, 12, 0, 0,
 0, 0,
};
short yygindex[] =
{0,
 216, 3009, 2406, 1296, 0, 0, 0, 0, 0, -5,
 58, 0, 251, 0, 2792, 141, 0, 2314, 2514, 72,
 2770, -175, 0, 148, 69, 0, 0, 0, 0, 0,
 0, 128,
};
#define YYTABLESIZE 3939
short yytable[] =
{17,
 29, 30, 15, 84, 16, 17, 131, 82, 15, 74,
 16, 255, 77, 77, 75, 176, 76, 78, 78, 77,
 75, 7, 76, 82, 78, 73, 75, 223, 74, 82,
 84, 82, 17, 117, 57, 15, 84, 16, 115, 87,
 12, 115, 115, 115, 115, 115, 272, 115, 82, 169,
 6, 7, 13, 240, 83, 84, 160, 241, 115, 115,
 12, 115, 79, 79, 81, 81, 13, 82, 95, 79,
 86, 81, 13, 40, 84, 128, 175, 12, 128, 128,
 128, 128, 128, 104, 128, 99, 127, 128, 90, 92,
 94, 89, 115, 93, 115, 128, 128, 100, 128, 199,
 101, 12, 197, 289, 7, 7, 102, 33, 80, 7,
 33, 80, 126, 13, 53, 292, 102, 198, 53, 90,
 92, 94, 89, 181, 93, 33, 80, 227, 129, 128,
 228, 128, 81, 17, 157, 81, 15, 52, 16, 125,
 161, 52, 125, 125, 125, 125, 125, 162, 125, 162,
 81, 162, 133, 163, 164, 135, 108, 109, 172, 125,
 125, 74, 125, 82, 169, 77, 75, 110, 76, 173,
 78, 177, 111, 51, 92, 94, 129, 51, 93, 129,
 129, 129, 129, 129, 81, 129, 90, 92, 94, 89,
 50, 93, 200, 125, 50, 125, 129, 129, 57, 129,
 56, 55, 57, 54, 56, 55, 248, 54, 1, 74,
 2, 3, 251, 77, 75, 79, 76, 81, 78, 183,
 184, 185, 186, 187, 188, 189, 190, 191, 192, 193,
 129, 252, 129, 253, 280, 259, 214, 215, 281, 85,
 290, 87, 7, 102, 86, 21, 29, 30, 8, 114,
 9, 10, 11, 7, 33, 12, 9, 10, 11, 12,
 115, 12, 13, 79, 102, 81, 115, 13, 19, 29,
 30, 73, 75, 13, 74, 130, 68, 7, 102, 115,
 105, 115, 115, 9, 10, 11, 12, 61, 12, 14,
 115, 60, 12, 17, 7, 14, 15, 128, 16, 18,
 13, 201, 65, 128, 13, 196, 238, 66, 115, 216,
 0, 12, 260, 115, 80, 80, 128, 0, 128, 128,
 0, 80, 14, 13, 0, 0, 0, 128, 0, 0,
 12, 115, 115, 115, 115, 115, 115, 115, 115, 115,
 115, 115, 13, 0, 115, 128, 0, 0, 0, 0,
 128, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 125, 0, 0, 0, 0, 0, 125, 128, 128,
 128, 128, 128, 128, 128, 128, 128, 128, 128, 0,
 125, 128, 125, 125, 9, 10, 11, 0, 0, 12,
 0, 125, 0, 0, 0, 0, 0, 0, 129, 0,
 0, 13, 0, 0, 129, 263, 0, 0, 0, 125,
 0, 0, 0, 102, 125, 0, 0, 129, 0, 129,
 129, 0, 0, 14, 0, 0, 0, 0, 129, 0,
 0, 0, 125, 125, 125, 125, 125, 125, 125, 125,
 125, 125, 125, 0, 0, 125, 129, 0, 0, 0,
 0, 129, 0, 0, 63, 64, 65, 66, 67, 68,
 69, 70, 71, 72, 73, 0, 0, 80, 0, 129,
 129, 129, 129, 129, 129, 129, 129, 129, 129, 129,
 111, 0, 129, 111, 111, 111, 111, 111, 0, 111,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 111, 111, 0, 111, 0, 0, 0, 68, 69, 70,
 71, 72, 73, 0, 0, 80, 0, 117, 0, 0,
 117, 117, 117, 117, 117, 0, 117, 0, 0, 0,
 0, 0, 0, 0, 111, 0, 111, 117, 117, 0,
 117, 0, 0, 0, 9, 10, 11, 182, 0, 12,
 183, 184, 185, 186, 187, 188, 189, 190, 191, 192,
 193, 13, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 117, 0, 117, 0, 0, 0, 0, 0, 0,
 0, 118, 0, 14, 118, 118, 118, 118, 118, 0,
 118, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 118, 118, 74, 118, 0, 134, 77, 75, 0,
 76, 0, 78, 0, 0, 0, 0, 0, 78, 0,
 0, 78, 78, 78, 0, 78, 0, 78, 122, 0,
 0, 0, 25, 26, 0, 118, 27, 118, 78, 78,
 28, 78, 0, 29, 0, 0, 0, 0, 30, 0,
 0, 31, 0, 0, 0, 32, 33, 79, 0, 81,
 0, 0, 34, 0, 0, 0, 0, 12, 0, 0,
 0, 0, 78, 0, 78, 0, 0, 0, 0, 13,
 35, 36, 37, 38, 0, 0, 39, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 40, 0, 111, 0, 0, 0, 0, 0, 111, 0,
 92, 0, 0, 92, 92, 92, 92, 92, 0, 92,
 0, 111, 0, 111, 111, 0, 0, 0, 0, 0,
 92, 92, 111, 92, 0, 0, 0, 0, 0, 117,
 0, 0, 0, 0, 0, 117, 0, 0, 0, 0,
 111, 0, 0, 0, 0, 111, 0, 0, 117, 0,
 117, 117, 0, 0, 92, 0, 0, 0, 0, 117,
 0, 0, 0, 111, 111, 111, 111, 111, 111, 111,
 111, 111, 111, 111, 0, 0, 111, 0, 0, 0,
 0, 0, 117, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 118, 0, 0, 0, 0, 0, 118,
 117, 117, 117, 117, 117, 117, 117, 117, 117, 117,
 117, 0, 118, 117, 118, 118, 0, 0, 0, 0,
 0, 0, 93, 118, 0, 93, 93, 93, 93, 93,
 78, 93, 0, 0, 0, 0, 78, 0, 0, 0,
 0, 0, 93, 93, 0, 93, 118, 0, 0, 78,
 0, 78, 78, 0, 0, 0, 0, 0, 0, 0,
 78, 0, 0, 0, 118, 118, 118, 118, 118, 118,
 118, 118, 118, 118, 118, 0, 93, 118, 78, 0,
 0, 0, 0, 78, 0, 0, 63, 64, 65, 66,
 67, 68, 69, 70, 71, 72, 73, 0, 0, 80,
 0, 78, 78, 78, 78, 78, 78, 78, 78, 78,
 78, 78, 94, 0, 78, 94, 94, 94, 94, 94,
 0, 94, 92, 0, 0, 0, 0, 0, 92, 0,
 0, 0, 94, 94, 0, 94, 0, 0, 0, 0,
 0, 92, 0, 92, 92, 0, 0, 0, 0, 0,
 0, 95, 92, 0, 95, 95, 95, 95, 95, 0,
 95, 0, 0, 0, 0, 0, 94, 0, 0, 0,
 92, 95, 95, 0, 95, 92, 74, 0, 0, 0,
 77, 75, 0, 76, 0, 78, 0, 0, 0, 0,
 0, 0, 0, 92, 92, 92, 92, 92, 92, 92,
 92, 92, 92, 92, 0, 95, 92, 0, 0, 0,
 0, 0, 0, 0, 0, 116, 0, 0, 116, 116,
 116, 116, 116, 0, 116, 0, 0, 0, 0, 0,
 79, 0, 81, 0, 0, 0, 116, 0, 116, 0,
 0, 0, 74, 0, 93, 0, 77, 75, 0, 76,
 93, 78, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 257, 93, 0, 93, 93, 0, 0, 116,
 0, 116, 0, 74, 93, 0, 0, 77, 75, 0,
 76, 0, 78, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 93, 274, 0, 74, 79, 93, 81, 77,
 75, 0, 76, 0, 78, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 93, 93, 93, 93, 93,
 93, 93, 93, 93, 93, 93, 0, 79, 93, 81,
 0, 0, 74, 0, 94, 0, 77, 75, 0, 76,
 94, 78, 0, 0, 0, 0, 0, 0, 0, 79,
 0, 81, 0, 94, 0, 94, 94, 0, 0, 0,
 0, 0, 0, 74, 94, 0, 0, 77, 75, 0,
 76, 0, 78, 95, 0, 0, 0, 0, 0, 95,
 0, 0, 94, 0, 0, 0, 79, 94, 81, 0,
 0, 0, 95, 0, 95, 95, 0, 0, 62, 0,
 0, 0, 0, 95, 0, 94, 94, 94, 94, 94,
 94, 94, 94, 94, 94, 94, 0, 79, 94, 81,
 0, 95, 0, 0, 0, 0, 95, 74, 0, 0,
 0, 77, 75, 0, 76, 0, 78, 116, 0, 0,
 0, 0, 0, 116, 95, 95, 95, 95, 95, 95,
 95, 95, 95, 95, 95, 0, 116, 95, 116, 116,
 0, 0, 0, 0, 0, 0, 0, 116, 0, 63,
 64, 65, 66, 67, 68, 69, 70, 71, 72, 73,
 0, 79, 80, 81, 0, 0, 0, 0, 0, 0,
 116, 0, 0, 74, 102, 0, 0, 77, 75, 0,
 76, 0, 78, 0, 0, 0, 0, 0, 116, 116,
 116, 116, 116, 116, 116, 116, 116, 116, 116, 0,
 0, 116, 0, 165, 74, 102, 0, 123, 77, 75,
 0, 76, 0, 78, 0, 63, 64, 65, 66, 67,
 68, 69, 70, 71, 72, 73, 0, 79, 80, 81,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 63, 64, 65, 66,
 67, 68, 69, 70, 71, 72, 73, 0, 79, 80,
 81, 0, 0, 0, 0, 0, 0, 0, 63, 64,
 65, 66, 67, 68, 69, 70, 71, 72, 73, 0,
 0, 80, 0, 0, 0, 0, 0, 130, 0, 0,
 0, 0, 0, 0, 0, 102, 90, 0, 0, 90,
 0, 90, 90, 90, 0, 63, 64, 65, 66, 67,
 68, 69, 70, 71, 72, 73, 90, 90, 80, 90,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 123, 63, 64, 65, 66,
 67, 68, 69, 70, 71, 72, 73, 0, 209, 80,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 91,
 0, 0, 91, 0, 91, 91, 91, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 123, 0, 0, 91,
 91, 0, 91, 0, 0, 123, 123, 123, 0, 0,
 123, 123, 0, 0, 0, 0, 0, 0, 0, 0,
 63, 64, 65, 66, 67, 68, 69, 70, 71, 72,
 73, 0, 0, 80, 123, 123, 230, 0, 0, 0,
 0, 0, 109, 0, 0, 109, 0, 123, 109, 0,
 0, 0, 123, 123, 123, 123, 123, 0, 0, 0,
 0, 0, 109, 109, 123, 109, 0, 0, 123, 123,
 123, 123, 0, 0, 0, 0, 123, 0, 0, 0,
 101, 0, 0, 101, 0, 0, 63, 64, 65, 66,
 67, 68, 69, 70, 71, 72, 73, 101, 101, 80,
 101, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 63, 64, 65,
 66, 67, 68, 69, 70, 71, 72, 73, 0, 0,
 80, 0, 0, 0, 0, 0, 0, 0, 90, 0,
 0, 0, 0, 0, 90, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 90, 0, 90,
 90, 0, 102, 0, 0, 102, 0, 0, 90, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 102,
 102, 0, 102, 0, 0, 0, 90, 0, 0, 0,
 0, 90, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 91, 0, 0, 0, 0, 0, 91, 0, 90,
 90, 90, 90, 90, 90, 90, 90, 90, 90, 90,
 91, 0, 91, 91, 0, 97, 0, 0, 97, 0,
 0, 91, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 97, 97, 0, 97, 0, 0, 0, 91,
 0, 0, 0, 0, 91, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 109, 0, 0, 0, 0, 0,
 109, 0, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 109, 0, 109, 109, 0, 0, 99,
 0, 0, 99, 0, 109, 0, 0, 0, 0, 101,
 0, 0, 0, 0, 0, 101, 99, 99, 0, 99,
 0, 0, 109, 0, 0, 0, 0, 109, 101, 0,
 101, 101, 0, 0, 0, 0, 0, 0, 0, 101,
 0, 0, 0, 0, 0, 109, 109, 109, 109, 109,
 109, 109, 109, 109, 109, 109, 0, 101, 0, 0,
 0, 0, 101, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 101, 101, 101, 101, 101, 101, 101, 101, 101, 101,
 101, 102, 0, 0, 0, 0, 0, 102, 98, 0,
 0, 98, 0, 0, 0, 0, 0, 0, 0, 0,
 102, 0, 102, 102, 0, 98, 98, 0, 98, 0,
 0, 102, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 100, 0, 0, 100, 0, 0, 102,
 0, 0, 0, 0, 102, 0, 0, 0, 0, 0,
 100, 100, 0, 100, 97, 0, 0, 0, 0, 0,
 97, 0, 102, 102, 102, 102, 102, 102, 102, 102,
 102, 102, 102, 97, 0, 97, 97, 0, 0, 0,
 0, 0, 0, 0, 97, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 106, 0, 0, 106,
 0, 0, 97, 0, 0, 0, 0, 97, 0, 0,
 0, 0, 0, 106, 106, 0, 106, 0, 99, 0,
 0, 0, 0, 0, 99, 97, 97, 97, 97, 97,
 97, 97, 97, 97, 97, 97, 0, 99, 0, 99,
 99, 0, 103, 0, 0, 103, 0, 0, 99, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 103,
 103, 0, 103, 0, 0, 0, 99, 0, 0, 0,
 0, 99, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 99,
 99, 99, 99, 99, 99, 99, 99, 99, 99, 99,
 0, 107, 0, 0, 107, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 98, 107, 107,
 0, 107, 0, 98, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 98, 108, 98, 98,
 108, 0, 0, 0, 0, 0, 0, 98, 0, 0,
 0, 0, 100, 0, 108, 108, 0, 108, 100, 0,
 0, 0, 0, 0, 0, 98, 0, 0, 0, 0,
 98, 100, 0, 100, 100, 0, 0, 0, 0, 0,
 0, 0, 100, 0, 0, 0, 0, 0, 98, 98,
 98, 98, 98, 98, 98, 98, 98, 98, 98, 104,
 100, 0, 104, 0, 0, 100, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 106, 104, 104, 0, 104,
 0, 106, 0, 100, 100, 100, 100, 100, 100, 100,
 100, 100, 100, 100, 106, 105, 106, 106, 105, 84,
 0, 0, 84, 0, 0, 106, 0, 0, 0, 0,
 0, 0, 105, 105, 0, 105, 84, 84, 0, 84,
 0, 103, 0, 106, 0, 0, 0, 103, 106, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 103, 0, 103, 103, 0, 0, 106, 106, 106, 106,
 106, 103, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 103,
 0, 0, 0, 0, 103, 0, 0, 0, 52, 0,
 107, 0, 0, 0, 0, 0, 107, 0, 0, 0,
 0, 0, 103, 103, 103, 103, 103, 0, 0, 107,
 0, 107, 107, 106, 0, 0, 0, 52, 0, 0,
 107, 0, 106, 119, 0, 52, 108, 0, 0, 0,
 0, 0, 108, 0, 0, 0, 0, 0, 107, 0,
 0, 0, 0, 107, 0, 108, 0, 108, 108, 0,
 0, 0, 0, 0, 0, 0, 108, 0, 0, 0,
 0, 107, 107, 107, 107, 107, 0, 0, 0, 0,
 0, 0, 0, 0, 108, 0, 0, 0, 0, 108,
 0, 0, 0, 0, 0, 0, 52, 0, 104, 0,
 0, 0, 0, 0, 104, 0, 0, 108, 108, 108,
 108, 108, 0, 0, 0, 0, 0, 104, 0, 104,
 104, 0, 106, 0, 0, 0, 0, 0, 104, 0,
 0, 0, 0, 0, 105, 0, 0, 0, 84, 0,
 105, 0, 0, 0, 84, 0, 104, 0, 0, 0,
 0, 104, 0, 105, 0, 105, 105, 84, 0, 84,
 84, 0, 0, 52, 105, 0, 0, 52, 84, 104,
 104, 104, 104, 104, 0, 0, 0, 0, 0, 0,
 0, 0, 105, 0, 0, 0, 84, 105, 170, 0,
 0, 84, 0, 0, 0, 52, 52, 52, 53, 52,
 52, 0, 0, 0, 52, 105, 105, 105, 105, 105,
 0, 0, 0, 52, 52, 52, 0, 0, 52, 52,
 0, 0, 0, 107, 0, 52, 52, 53, 0, 0,
 0, 0, 107, 120, 0, 53, 0, 0, 0, 52,
 0, 0, 52, 52, 0, 0, 0, 52, 52, 52,
 52, 52, 0, 0, 0, 52, 0, 52, 0, 211,
 52, 52, 52, 52, 52, 52, 52, 52, 52, 0,
 0, 0, 52, 0, 0, 0, 52, 52, 52, 52,
 0, 52, 0, 0, 52, 0, 0, 220, 221, 222,
 0, 225, 226, 10, 0, 0, 53, 10, 10, 0,
 10, 10, 0, 0, 10, 10, 0, 0, 10, 10,
 0, 0, 0, 10, 0, 0, 10, 249, 250, 10,
 10, 10, 107, 0, 0, 0, 0, 10, 0, 0,
 0, 262, 10, 0, 0, 0, 0, 0, 0, 267,
 268, 269, 270, 271, 10, 10, 10, 10, 10, 279,
 0, 10, 0, 0, 0, 0, 0, 283, 284, 285,
 286, 0, 0, 53, 0, 10, 0, 53, 0, 0,
 0, 0, 0, 291, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 10, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 53, 53, 53, 0, 53,
 53, 0, 0, 0, 53, 0, 0, 0, 0, 0,
 0, 0, 0, 53, 53, 53, 0, 0, 53, 53,
 0, 0, 0, 0, 0, 53, 53, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 53,
 0, 0, 53, 53, 0, 0, 0, 53, 53, 53,
 53, 53, 0, 0, 0, 53, 0, 53, 0, 0,
 53, 53, 53, 53, 53, 53, 53, 53, 53, 0,
 0, 0, 53, 0, 20, 0, 53, 53, 53, 53,
 0, 53, 0, 0, 53, 20, 20, 20, 20, 0,
 121, 86, 0, 125, 0, 0, 96, 97, 20, 0,
 0, 0, 0, 112, 20, 0, 115, 116, 0, 0,
 0, 118, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 86, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 20, 20, 20, 20, 20, 20,
 20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
 20, 20, 20, 155, 156, 20, 0, 0, 0, 0,
 0, 86, 0, 86, 174, 86, 0, 86, 86, 0,
 20, 20, 20, 0, 0, 20, 0, 0, 0, 0,
 0, 0, 0, 86, 0, 0, 0, 0, 0, 86,
 0, 0, 0, 0, 0, 0, 0, 20, 179, 180,
 0, 0, 195, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 202, 203, 204, 205, 206, 207, 0, 0,
 0, 0, 0, 0, 0, 25, 26, 0, 236, 27,
 0, 0, 86, 28, 0, 0, 29, 0, 0, 0,
 0, 30, 0, 20, 31, 0, 20, 20, 32, 33,
 86, 86, 0, 0, 0, 34, 0, 0, 0, 0,
 12, 0, 0, 232, 233, 0, 0, 0, 20, 20,
 0, 20, 13, 35, 36, 37, 38, 0, 246, 39,
 20, 0, 0, 0, 0, 0, 254, 256, 258, 0,
 0, 0, 0, 40, 20, 0, 264, 0, 20, 20,
 0, 20, 58, 59, 60, 61, 0, 0, 0, 273,
 275, 237, 20, 0, 0, 98, 0, 0, 0, 0,
 0, 113, 0, 0, 0, 0, 0, 288, 0, 0,
 0, 0, 0, 0, 20, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 287, 0, 0,
 0, 136, 137, 138, 139, 140, 141, 142, 143, 144,
 145, 146, 147, 148, 149, 150, 151, 152, 153, 154,
 0, 0, 158, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 166, 167, 168,
 11, 0, 171, 0, 11, 11, 0, 11, 11, 0,
 0, 11, 11, 0, 0, 11, 11, 0, 0, 0,
 11, 0, 0, 11, 178, 0, 11, 11, 11, 0,
 0, 0, 0, 0, 11, 0, 0, 0, 0, 11,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 11, 11, 11, 11, 11, 0, 0, 11, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 210, 0, 11, 212, 213, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 11, 0, 0, 0, 0, 217, 218, 0, 219, 0,
 25, 26, 0, 0, 27, 0, 0, 229, 28, 0,
 0, 29, 0, 0, 0, 0, 30, 0, 0, 31,
 0, 239, 0, 32, 33, 244, 245, 0, 247, 169,
 34, 0, 0, 0, 0, 12, 0, 0, 0, 261,
 0, 0, 0, 0, 0, 0, 0, 13, 35, 36,
 37, 38, 0, 0, 39, 25, 26, 0, 0, 27,
 0, 278, 0, 28, 0, 0, 29, 208, 40, 0,
 0, 30, 0, 0, 31, 0, 0, 0, 32, 33,
 0, 0, 0, 0, 0, 34, 0, 0, 0, 0,
 12, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 13, 35, 36, 37, 38, 0, 0, 39,
 25, 26, 0, 231, 27, 0, 0, 0, 28, 0,
 0, 29, 0, 40, 0, 0, 30, 0, 0, 31,
 0, 0, 0, 32, 33, 0, 0, 0, 0, 0,
 34, 0, 0, 0, 0, 12, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 13, 35, 36,
 37, 38, 0, 0, 39, 25, 26, 0, 234, 27,
 0, 0, 0, 28, 0, 0, 29, 0, 40, 0,
 0, 30, 0, 0, 31, 0, 0, 0, 32, 33,
 0, 0, 0, 0, 0, 34, 0, 0, 0, 0,
 12, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 13, 35, 36, 37, 38, 0, 0, 39,
 25, 26, 0, 235, 27, 0, 0, 0, 28, 0,
 0, 29, 0, 40, 0, 0, 30, 0, 0, 31,
 0, 0, 0, 32, 33, 0, 0, 0, 0, 0,
 34, 0, 0, 0, 0, 12, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 13, 35, 36,
 37, 38, 0, 0, 39, 25, 26, 0, 0, 27,
 0, 0, 0, 28, 0, 0, 29, 242, 40, 0,
 0, 30, 0, 0, 31, 0, 0, 0, 32, 33,
 0, 0, 0, 0, 0, 34, 0, 0, 0, 0,
 12, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 13, 35, 36, 37, 38, 0, 0, 39,
 25, 26, 0, 0, 27, 0, 0, 0, 28, 0,
 0, 29, 243, 40, 0, 0, 30, 0, 0, 31,
 0, 0, 0, 32, 33, 0, 0, 0, 0, 0,
 34, 0, 0, 0, 0, 12, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 13, 35, 36,
 37, 38, 0, 0, 39, 25, 26, 0, 265, 27,
 0, 0, 0, 28, 0, 0, 29, 0, 40, 0,
 0, 30, 0, 0, 31, 0, 0, 0, 32, 33,
 0, 0, 0, 0, 0, 34, 0, 0, 0, 0,
 12, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 13, 35, 36, 37, 38, 0, 0, 39,
 25, 26, 0, 266, 27, 0, 0, 0, 28, 0,
 0, 29, 0, 40, 0, 0, 30, 0, 0, 31,
 0, 0, 0, 32, 33, 0, 0, 0, 0, 0,
 34, 0, 0, 0, 0, 12, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 13, 35, 36,
 37, 38, 0, 0, 39, 25, 26, 0, 0, 27,
 0, 0, 0, 28, 0, 0, 29, 0, 40, 0,
 0, 30, 0, 0, 31, 0, 0, 276, 32, 33,
 0, 0, 0, 0, 0, 34, 0, 0, 0, 0,
 12, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 13, 35, 36, 37, 38, 0, 0, 39,
 25, 26, 0, 282, 27, 0, 0, 0, 28, 0,
 0, 29, 0, 40, 0, 0, 30, 0, 0, 31,
 0, 0, 0, 32, 33, 0, 0, 0, 0, 0,
 34, 0, 0, 0, 0, 12, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 13, 35, 36,
 37, 38, 0, 0, 39, 25, 26, 0, 0, 27,
 0, 0, 0, 28, 0, 0, 29, 0, 40, 0,
 0, 30, 0, 0, 31, 0, 0, 0, 32, 33,
 0, 0, 0, 0, 0, 34, 0, 0, 0, 0,
 12, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 13, 35, 36, 37, 38, 0, 0, 39,
 25, 26, 0, 0, 27, 0, 0, 0, 28, 0,
 0, 29, 0, 40, 0, 0, 30, 0, 0, 31,
 0, 0, 0, 32, 33, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 12, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 13, 35, 36,
 37, 38, 0, 0, 39, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 40,
};
short yycheck[] =
{40,
 44, 44, 43, 40, 45, 40, 44, 33, 43, 38,
 45, 58, 42, 42, 43, 61, 45, 47, 47, 42,
 43, 264, 45, 33, 47, 44, 44, 268, 44, 33,
 40, 33, 40, 39, 260, 43, 40, 45, 38, 61,
 296, 41, 42, 43, 44, 45, 58, 47, 33, 290,
 290, 290, 308, 264, 58, 40, 58, 268, 58, 59,
 296, 61, 92, 92, 94, 94, 308, 33, 293, 92,
 61, 94, 308, 329, 40, 38, 61, 296, 41, 42,
 43, 44, 45, 278, 47, 268, 261, 262, 20, 21,
 22, 20, 92, 22, 94, 58, 59, 271, 61, 41,
 274, 296, 44, 279, 347, 264, 290, 41, 41, 268,
 44, 44, 61, 308, 264, 291, 290, 59, 268, 51,
 52, 53, 51, 129, 53, 59, 59, 271, 44, 92,
 274, 94, 41, 40, 41, 44, 43, 264, 45, 38,
 44, 268, 41, 42, 43, 44, 45, 90, 47, 92,
 59, 94, 290, 96, 97, 290, 261, 262, 61, 58,
 59, 38, 61, 33, 290, 42, 43, 272, 45, 112,
 47, 290, 277, 264, 106, 107, 38, 268, 107, 41,
 42, 43, 44, 45, 94, 47, 118, 119, 120, 118,
 264, 120, 61, 92, 268, 94, 58, 59, 264, 61,
 264, 264, 268, 264, 268, 268, 309, 268, 256, 38,
 258, 259, 261, 42, 43, 92, 45, 94, 47, 317,
 318, 319, 320, 321, 322, 323, 324, 325, 326, 327,
 92, 262, 94, 265, 261, 269, 179, 180, 262, 61,
 265, 61, 257, 290, 61, 290, 290, 290, 256, 34,
 291, 292, 293, 273, 290, 296, 291, 292, 293, 296,
 260, 296, 308, 92, 290, 94, 266, 308, 290, 313,
 313, 290, 290, 308, 290, 313, 290, 264, 290, 279,
 30, 281, 282, 291, 292, 293, 296, 290, 296, 330,
 290, 290, 296, 40, 283, 330, 43, 260, 45, 290,
 308, 161, 290, 266, 308, 158, 347, 290, 308, 182,
 -1, 296, 347, 313, 344, 344, 279, -1, 281, 282,
 -1, 344, 330, 308, -1, -1, -1, 290, -1, -1,
 296, 331, 332, 333, 334, 335, 336, 337, 338, 339,
 340, 341, 308, -1, 344, 308, -1, -1, -1, -1,
 313, -1, -1, -1, -1, -1, -1, -1, -1, -1,
 -1, 260, -1, -1, -1, -1, -1, 266, 331, 332,
 333, 334, 335, 336, 337, 338, 339, 340, 341, -1,
 279, 344, 281, 282, 291, 292, 293, -1, -1, 296,
 -1, 290, -1, -1, -1, -1, -1, -1, 260, -1,
 -1, 308, -1, -1, 266, 282, -1, -1, -1, 308,
 -1, -1, -1, 290, 313, -1, -1, 279, -1, 281,
 282, -1, -1, 330, -1, -1, -1, -1, 290, -1,
 -1, -1, 331, 332, 333, 334, 335, 336, 337, 338,
 339, 340, 341, -1, -1, 344, 308, -1, -1, -1,
 -1, 313, -1, -1, 331, 332, 333, 334, 335, 336,
 337, 338, 339, 340, 341, -1, -1, 344, -1, 331,
 332, 333, 334, 335, 336, 337, 338, 339, 340, 341,
 38, -1, 344, 41, 42, 43, 44, 45, -1, 47,
 -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
 58, 59, -1, 61, -1, -1, -1, 336, 337, 338,
 339, 340, 341, -1, -1, 344, -1, 38, -1, -1,
 41, 42, 43, 44, 45, -1, 47, -1, -1, -1,
 -1, -1, -1, -1, 92, -1, 94, 58, 59, -1,
 61, -1, -1, -1, 291, 292, 293, 314, -1, 296,
 317, 318, 319, 320, 321, 322, 323, 324, 325, 326,
 327, 308, -1, -1, -1, -1, -1, -1, -1, -1,
 -1, 92, -1, 94, -1, -1, -1, -1, -1, -1,
 -1, 38, -1, 330, 41, 42, 43, 44, 45, -1,
 47, -1, -1, -1, -1, -1, -1, -1, -1, -1,
 -1, 58, 59, 38, 61, -1, 41, 42, 43, -1,
 45, -1, 47, -1, -1, -1, -1, -1, 38, -1,
 -1, 41, 42, 43, -1, 45, -1, 47, 257, -1,
 -1, -1, 261, 262, -1, 92, 265, 94, 58, 59,
 269, 61, -1, 272, -1, -1, -1, -1, 277, -1,
 -1, 280, -1, -1, -1, 284, 285, 92, -1, 94,
 -1, -1, 291, -1, -1, -1, -1, 296, -1, -1,
 -1, -1, 92, -1, 94, -1, -1, -1, -1, 308,
 309, 310, 311, 312, -1, -1, 315, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
 329, -1, 260, -1, -1, -1, -1, -1, 266, -1,
 38, -1, -1, 41, 42, 43, 44, 45, -1, 47,
 -1, 279, -1, 281, 282, -1, -1, -1, -1, -1,
 58, 59, 290, 61, -1, -1, -1, -1, -1, 260,
 -1, -1, -1, -1, -1, 266, -1, -1, -1, -1,
 308, -1, -1, -1, -1, 313, -1, -1, 279, -1,
 281, 282, -1, -1, 92, -1, -1, -1, -1, 290,
 -1, -1, -1, 331, 332, 333, 334, 335, 336, 337,
 338, 339, 340, 341, -1, -1, 344, -1, -1, -1,
 -1, -1, 313, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, -1, 260, -1, -1, -1, -1, -1, 266,
 331, 332, 333, 334, 335, 336, 337, 338, 339, 340,
 341, -1, 279, 344, 281, 282, -1, -1, -1, -1,
 -1, -1, 38, 290, -1, 41, 42, 43, 44, 45,
 260, 47, -1, -1, -1, -1, 266, -1, -1, -1,
 -1, -1, 58, 59, -1, 61, 313, -1, -1, 279,
 -1, 281, 282, -1, -1, -1, -1, -1, -1, -1,
 290, -1, -1, -1, 331, 332, 333, 334, 335, 336,
 337, 338, 339, 340, 341, -1, 92, 344, 308, -1,
 -1, -1, -1, 313, -1, -1, 331, 332, 333, 334,
 335, 336, 337, 338, 339, 340, 341, -1, -1, 344,
 -1, 331, 332, 333, 334, 335, 336, 337, 338, 339,
 340, 341, 38, -1, 344, 41, 42, 43, 44, 45,
 -1, 47, 260, -1, -1, -1, -1, -1, 266, -1,
 -1, -1, 58, 59, -1, 61, -1, -1, -1, -1,
 -1, 279, -1, 281, 282, -1, -1, -1, -1, -1,
 -1, 38, 290, -1, 41, 42, 43, 44, 45, -1,
 47, -1, -1, -1, -1, -1, 92, -1, -1, -1,
 308, 58, 59, -1, 61, 313, 38, -1, -1, -1,
 42, 43, -1, 45, -1, 47, -1, -1, -1, -1,
 -1, -1, -1, 331, 332, 333, 334, 335, 336, 337,
 338, 339, 340, 341, -1, 92, 344, -1, -1, -1,
 -1, -1, -1, -1, -1, 38, -1, -1, 41, 42,
 43, 44, 45, -1, 47, -1, -1, -1, -1, -1,
 92, -1, 94, -1, -1, -1, 59, -1, 61, -1,
 -1, -1, 38, -1, 260, -1, 42, 43, -1, 45,
 266, 47, -1, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, 58, 279, -1, 281, 282, -1, -1, 92,
 -1, 94, -1, 38, 290, -1, -1, 42, 43, -1,
 45, -1, 47, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, 308, 58, -1, 38, 92, 313, 94, 42,
 43, -1, 45, -1, 47, -1, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, 331, 332, 333, 334, 335,
 336, 337, 338, 339, 340, 341, -1, 92, 344, 94,
 -1, -1, 38, -1, 260, -1, 42, 43, -1, 45,
 266, 47, -1, -1, -1, -1, -1, -1, -1, 92,
 -1, 94, -1, 279, -1, 281, 282, -1, -1, -1,
 -1, -1, -1, 38, 290, -1, -1, 42, 43, -1,
 45, -1, 47, 260, -1, -1, -1, -1, -1, 266,
 -1, -1, 308, -1, -1, -1, 92, 313, 94, -1,
 -1, -1, 279, -1, 281, 282, -1, -1, 260, -1,
 -1, -1, -1, 290, -1, 331, 332, 333, 334, 335,
 336, 337, 338, 339, 340, 341, -1, 92, 344, 94,
 -1, 308, -1, -1, -1, -1, 313, 38, -1, -1,
 -1, 42, 43, -1, 45, -1, 47, 260, -1, -1,
 -1, -1, -1, 266, 331, 332, 333, 334, 335, 336,
 337, 338, 339, 340, 341, -1, 279, 344, 281, 282,
 -1, -1, -1, -1, -1, -1, -1, 290, -1, 331,
 332, 333, 334, 335, 336, 337, 338, 339, 340, 341,
 -1, 92, 344, 94, -1, -1, -1, -1, -1, -1,
 313, -1, -1, 38, 290, -1, -1, 42, 43, -1,
 45, -1, 47, -1, -1, -1, -1, -1, 331, 332,
 333, 334, 335, 336, 337, 338, 339, 340, 341, -1,
 -1, 344, -1, 266, 38, 290, -1, 42, 42, 43,
 -1, 45, -1, 47, -1, 331, 332, 333, 334, 335,
 336, 337, 338, 339, 340, 341, -1, 92, 344, 94,
 -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, 331, 332, 333, 334,
 335, 336, 337, 338, 339, 340, 341, -1, 92, 344,
 94, -1, -1, -1, -1, -1, -1, -1, 331, 332,
 333, 334, 335, 336, 337, 338, 339, 340, 341, -1,
 -1, 344, -1, -1, -1, -1, -1, 313, -1, -1,
 -1, -1, -1, -1, -1, 290, 38, -1, -1, 41,
 -1, 43, 44, 45, -1, 331, 332, 333, 334, 335,
 336, 337, 338, 339, 340, 341, 58, 59, 344, 61,
 -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, 170, 331, 332, 333, 334,
 335, 336, 337, 338, 339, 340, 341, -1, 279, 344,
 -1, -1, -1, -1, -1, -1, -1, -1, -1, 38,
 -1, -1, 41, -1, 43, 44, 45, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, 211, -1, -1, 58,
 59, -1, 61, -1, -1, 220, 221, 222, -1, -1,
 225, 226, -1, -1, -1, -1, -1, -1, -1, -1,
 331, 332, 333, 334, 335, 336, 337, 338, 339, 340,
 341, -1, -1, 344, 249, 250, 281, -1, -1, -1,
 -1, -1, 38, -1, -1, 41, -1, 262, 44, -1,
 -1, -1, 267, 268, 269, 270, 271, -1, -1, -1,
 -1, -1, 58, 59, 279, 61, -1, -1, 283, 284,
 285, 286, -1, -1, -1, -1, 291, -1, -1, -1,
 41, -1, -1, 44, -1, -1, 331, 332, 333, 334,
 335, 336, 337, 338, 339, 340, 341, 58, 59, 344,
 61, -1, -1, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, -1, 331, 332, 333,
 334, 335, 336, 337, 338, 339, 340, 341, -1, -1,
 344, -1, -1, -1, -1, -1, -1, -1, 260, -1,
 -1, -1, -1, -1, 266, -1, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, -1, 279, -1, 281,
 282, -1, 41, -1, -1, 44, -1, -1, 290, -1,
 -1, -1, -1, -1, -1, -1, -1, -1, -1, 58,
 59, -1, 61, -1, -1, -1, 308, -1, -1, -1,
 -1, 313, -1, -1, -1, -1, -1, -1, -1, -1,
 -1, 260, -1, -1, -1, -1, -1, 266, -1, 331,
 332, 333, 334, 335, 336, 337, 338, 339, 340, 341,
 279, -1, 281, 282, -1, 41, -1, -1, 44, -1,
 -1, 290, -1, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, 58, 59, -1, 61, -1, -1, -1, 308,
 -1, -1, -1, -1, 313, -1, -1, -1, -1, -1,
 -1, -1, -1, -1, 260, -1, -1, -1, -1, -1,
 266, -1, 331, 332, 333, 334, 335, 336, 337, 338,
 339, 340, 341, 279, -1, 281, 282, -1, -1, 41,
 -1, -1, 44, -1, 290, -1, -1, -1, -1, 260,
 -1, -1, -1, -1, -1, 266, 58, 59, -1, 61,
 -1, -1, 308, -1, -1, -1, -1, 313, 279, -1,
 281, 282, -1, -1, -1, -1, -1, -1, -1, 290,
 -1, -1, -1, -1, -1, 331, 332, 333, 334, 335,
 336, 337, 338, 339, 340, 341, -1, 308, -1, -1,
 -1, -1, 313, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
 331, 332, 333, 334, 335, 336, 337, 338, 339, 340,
 341, 260, -1, -1, -1, -1, -1, 266, 41, -1,
 -1, 44, -1, -1, -1, -1, -1, -1, -1, -1,
 279, -1, 281, 282, -1, 58, 59, -1, 61, -1,
 -1, 290, -1, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, -1, 41, -1, -1, 44, -1, -1, 308,
 -1, -1, -1, -1, 313, -1, -1, -1, -1, -1,
 58, 59, -1, 61, 260, -1, -1, -1, -1, -1,
 266, -1, 331, 332, 333, 334, 335, 336, 337, 338,
 339, 340, 341, 279, -1, 281, 282, -1, -1, -1,
 -1, -1, -1, -1, 290, -1, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, 41, -1, -1, 44,
 -1, -1, 308, -1, -1, -1, -1, 313, -1, -1,
 -1, -1, -1, 58, 59, -1, 61, -1, 260, -1,
 -1, -1, -1, -1, 266, 331, 332, 333, 334, 335,
 336, 337, 338, 339, 340, 341, -1, 279, -1, 281,
 282, -1, 41, -1, -1, 44, -1, -1, 290, -1,
 -1, -1, -1, -1, -1, -1, -1, -1, -1, 58,
 59, -1, 61, -1, -1, -1, 308, -1, -1, -1,
 -1, 313, -1, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, -1, -1, -1, 331,
 332, 333, 334, 335, 336, 337, 338, 339, 340, 341,
 -1, 41, -1, -1, 44, -1, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, -1, 260, 58, 59,
 -1, 61, -1, 266, -1, -1, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, 279, 41, 281, 282,
 44, -1, -1, -1, -1, -1, -1, 290, -1, -1,
 -1, -1, 260, -1, 58, 59, -1, 61, 266, -1,
 -1, -1, -1, -1, -1, 308, -1, -1, -1, -1,
 313, 279, -1, 281, 282, -1, -1, -1, -1, -1,
 -1, -1, 290, -1, -1, -1, -1, -1, 331, 332,
 333, 334, 335, 336, 337, 338, 339, 340, 341, 41,
 308, -1, 44, -1, -1, 313, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, 260, 58, 59, -1, 61,
 -1, 266, -1, 331, 332, 333, 334, 335, 336, 337,
 338, 339, 340, 341, 279, 41, 281, 282, 44, 41,
 -1, -1, 44, -1, -1, 290, -1, -1, -1, -1,
 -1, -1, 58, 59, -1, 61, 58, 59, -1, 61,
 -1, 260, -1, 308, -1, -1, -1, 266, 313, -1,
 -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
 279, -1, 281, 282, -1, -1, 331, 332, 333, 334,
 335, 290, -1, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, -1, -1, -1, 308,
 -1, -1, -1, -1, 313, -1, -1, -1, 5, -1,
 260, -1, -1, -1, -1, -1, 266, -1, -1, -1,
 -1, -1, 331, 332, 333, 334, 335, -1, -1, 279,
 -1, 281, 282, 30, -1, -1, -1, 34, -1, -1,
 290, -1, 39, 40, -1, 42, 260, -1, -1, -1,
 -1, -1, 266, -1, -1, -1, -1, -1, 308, -1,
 -1, -1, -1, 313, -1, 279, -1, 281, 282, -1,
 -1, -1, -1, -1, -1, -1, 290, -1, -1, -1,
 -1, 331, 332, 333, 334, 335, -1, -1, -1, -1,
 -1, -1, -1, -1, 308, -1, -1, -1, -1, 313,
 -1, -1, -1, -1, -1, -1, 103, -1, 260, -1,
 -1, -1, -1, -1, 266, -1, -1, 331, 332, 333,
 334, 335, -1, -1, -1, -1, -1, 279, -1, 281,
 282, -1, 129, -1, -1, -1, -1, -1, 290, -1,
 -1, -1, -1, -1, 260, -1, -1, -1, 260, -1,
 266, -1, -1, -1, 266, -1, 308, -1, -1, -1,
 -1, 313, -1, 279, -1, 281, 282, 279, -1, 281,
 282, -1, -1, 170, 290, -1, -1, 174, 290, 331,
 332, 333, 334, 335, -1, -1, -1, -1, -1, -1,
 -1, -1, 308, -1, -1, -1, 308, 313, 103, -1,
 -1, 313, -1, -1, -1, 202, 203, 204, 5, 206,
 207, -1, -1, -1, 211, 331, 332, 333, 334, 335,
 -1, -1, -1, 220, 221, 222, -1, -1, 225, 226,
 -1, -1, -1, 30, -1, 232, 233, 34, -1, -1,
 -1, -1, 39, 40, -1, 42, -1, -1, -1, 246,
 -1, -1, 249, 250, -1, -1, -1, 254, 255, 256,
 257, 258, -1, -1, -1, 262, -1, 264, -1, 174,
 267, 268, 269, 270, 271, 272, 273, 274, 275, -1,
 -1, -1, 279, -1, -1, -1, 283, 284, 285, 286,
 -1, 288, -1, -1, 291, -1, -1, 202, 203, 204,
 -1, 206, 207, 257, -1, -1, 103, 261, 262, -1,
 264, 265, -1, -1, 268, 269, -1, -1, 272, 273,
 -1, -1, -1, 277, -1, -1, 280, 232, 233, 283,
 284, 285, 129, -1, -1, -1, -1, 291, -1, -1,
 -1, 246, 296, -1, -1, -1, -1, -1, -1, 254,
 255, 256, 257, 258, 308, 309, 310, 311, 312, 264,
 -1, 315, -1, -1, -1, -1, -1, 272, 273, 274,
 275, -1, -1, 170, -1, 329, -1, 174, -1, -1,
 -1, -1, -1, 288, -1, -1, -1, -1, -1, -1,
 -1, -1, -1, 347, -1, -1, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, 202, 203, 204, -1, 206,
 207, -1, -1, -1, 211, -1, -1, -1, -1, -1,
 -1, -1, -1, 220, 221, 222, -1, -1, 225, 226,
 -1, -1, -1, -1, -1, 232, 233, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, -1, -1, -1, 246,
 -1, -1, 249, 250, -1, -1, -1, 254, 255, 256,
 257, 258, -1, -1, -1, 262, -1, 264, -1, -1,
 267, 268, 269, 270, 271, 272, 273, 274, 275, -1,
 -1, -1, 279, -1, 3, -1, 283, 284, 285, 286,
 -1, 288, -1, -1, 291, 14, 15, 16, 17, -1,
 41, 20, -1, 44, -1, -1, 25, 26, 27, -1,
 -1, -1, -1, 32, 33, -1, 35, 36, -1, -1,
 -1, 40, -1, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, 51, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, -1, -1, 63, 64, 65, 66, 67, 68,
 69, 70, 71, 72, 73, 74, 75, 76, 77, 78,
 79, 80, 81, 82, 83, 84, -1, -1, -1, -1,
 -1, 90, -1, 92, 115, 94, -1, 96, 97, -1,
 99, 100, 101, -1, -1, 104, -1, -1, -1, -1,
 -1, -1, -1, 112, -1, -1, -1, -1, -1, 118,
 -1, -1, -1, -1, -1, -1, -1, 126, 127, 128,
 -1, -1, 131, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, 163, 164, 165, 166, 167, 168, -1, -1,
 -1, -1, -1, -1, -1, 261, 262, -1, 264, 265,
 -1, -1, 161, 269, -1, -1, 272, -1, -1, -1,
 -1, 277, -1, 172, 280, -1, 175, 176, 284, 285,
 179, 180, -1, -1, -1, 291, -1, -1, -1, -1,
 296, -1, -1, 214, 215, -1, -1, -1, 197, 198,
 -1, 200, 308, 309, 310, 311, 312, -1, 229, 315,
 209, -1, -1, -1, -1, -1, 237, 238, 239, -1,
 -1, -1, -1, 329, 223, -1, 247, -1, 227, 228,
 -1, 230, 14, 15, 16, 17, -1, -1, -1, 260,
 261, 347, 241, -1, -1, 27, -1, -1, -1, -1,
 -1, 33, -1, -1, -1, -1, -1, 278, -1, -1,
 -1, -1, -1, -1, 263, -1, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, -1, 276, -1, -1,
 -1, 63, 64, 65, 66, 67, 68, 69, 70, 71,
 72, 73, 74, 75, 76, 77, 78, 79, 80, 81,
 -1, -1, 84, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, -1, 99, 100, 101,
 257, -1, 104, -1, 261, 262, -1, 264, 265, -1,
 -1, 268, 269, -1, -1, 272, 273, -1, -1, -1,
 277, -1, -1, 280, 126, -1, 283, 284, 285, -1,
 -1, -1, -1, -1, 291, -1, -1, -1, -1, 296,
 -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
 -1, 308, 309, 310, 311, 312, -1, -1, 315, -1,
 -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
 172, -1, 329, 175, 176, -1, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
 347, -1, -1, -1, -1, 197, 198, -1, 200, -1,
 261, 262, -1, -1, 265, -1, -1, 209, 269, -1,
 -1, 272, -1, -1, -1, -1, 277, -1, -1, 280,
 -1, 223, -1, 284, 285, 227, 228, -1, 230, 290,
 291, -1, -1, -1, -1, 296, -1, -1, -1, 241,
 -1, -1, -1, -1, -1, -1, -1, 308, 309, 310,
 311, 312, -1, -1, 315, 261, 262, -1, -1, 265,
 -1, 263, -1, 269, -1, -1, 272, 273, 329, -1,
 -1, 277, -1, -1, 280, -1, -1, -1, 284, 285,
 -1, -1, -1, -1, -1, 291, -1, -1, -1, -1,
 296, -1, -1, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, 308, 309, 310, 311, 312, -1, -1, 315,
 261, 262, -1, 264, 265, -1, -1, -1, 269, -1,
 -1, 272, -1, 329, -1, -1, 277, -1, -1, 280,
 -1, -1, -1, 284, 285, -1, -1, -1, -1, -1,
 291, -1, -1, -1, -1, 296, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, -1, 308, 309, 310,
 311, 312, -1, -1, 315, 261, 262, -1, 264, 265,
 -1, -1, -1, 269, -1, -1, 272, -1, 329, -1,
 -1, 277, -1, -1, 280, -1, -1, -1, 284, 285,
 -1, -1, -1, -1, -1, 291, -1, -1, -1, -1,
 296, -1, -1, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, 308, 309, 310, 311, 312, -1, -1, 315,
 261, 262, -1, 264, 265, -1, -1, -1, 269, -1,
 -1, 272, -1, 329, -1, -1, 277, -1, -1, 280,
 -1, -1, -1, 284, 285, -1, -1, -1, -1, -1,
 291, -1, -1, -1, -1, 296, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, -1, 308, 309, 310,
 311, 312, -1, -1, 315, 261, 262, -1, -1, 265,
 -1, -1, -1, 269, -1, -1, 272, 273, 329, -1,
 -1, 277, -1, -1, 280, -1, -1, -1, 284, 285,
 -1, -1, -1, -1, -1, 291, -1, -1, -1, -1,
 296, -1, -1, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, 308, 309, 310, 311, 312, -1, -1, 315,
 261, 262, -1, -1, 265, -1, -1, -1, 269, -1,
 -1, 272, 273, 329, -1, -1, 277, -1, -1, 280,
 -1, -1, -1, 284, 285, -1, -1, -1, -1, -1,
 291, -1, -1, -1, -1, 296, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, -1, 308, 309, 310,
 311, 312, -1, -1, 315, 261, 262, -1, 264, 265,
 -1, -1, -1, 269, -1, -1, 272, -1, 329, -1,
 -1, 277, -1, -1, 280, -1, -1, -1, 284, 285,
 -1, -1, -1, -1, -1, 291, -1, -1, -1, -1,
 296, -1, -1, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, 308, 309, 310, 311, 312, -1, -1, 315,
 261, 262, -1, 264, 265, -1, -1, -1, 269, -1,
 -1, 272, -1, 329, -1, -1, 277, -1, -1, 280,
 -1, -1, -1, 284, 285, -1, -1, -1, -1, -1,
 291, -1, -1, -1, -1, 296, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, -1, 308, 309, 310,
 311, 312, -1, -1, 315, 261, 262, -1, -1, 265,
 -1, -1, -1, 269, -1, -1, 272, -1, 329, -1,
 -1, 277, -1, -1, 280, -1, -1, 283, 284, 285,
 -1, -1, -1, -1, -1, 291, -1, -1, -1, -1,
 296, -1, -1, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, 308, 309, 310, 311, 312, -1, -1, 315,
 261, 262, -1, 264, 265, -1, -1, -1, 269, -1,
 -1, 272, -1, 329, -1, -1, 277, -1, -1, 280,
 -1, -1, -1, 284, 285, -1, -1, -1, -1, -1,
 291, -1, -1, -1, -1, 296, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, -1, 308, 309, 310,
 311, 312, -1, -1, 315, 261, 262, -1, -1, 265,
 -1, -1, -1, 269, -1, -1, 272, -1, 329, -1,
 -1, 277, -1, -1, 280, -1, -1, -1, 284, 285,
 -1, -1, -1, -1, -1, 291, -1, -1, -1, -1,
 296, -1, -1, -1, -1, -1, -1, -1, -1, -1,
 -1, -1, 308, 309, 310, 311, 312, -1, -1, 315,
 261, 262, -1, -1, 265, -1, -1, -1, 269, -1,
 -1, 272, -1, 329, -1, -1, 277, -1, -1, 280,
 -1, -1, -1, 284, 285, -1, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, 296, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, -1, 308, 309, 310,
 311, 312, -1, -1, 315, -1, -1, -1, -1, -1,
 -1, -1, -1, -1, -1, -1, -1, -1, 329,
};
#define YYFINAL 4
#ifndef YYDEBUG
#define YYDEBUG 0
#endif
#define YYMAXTOKEN 347
#if YYDEBUG
char *yyname[] =
{
  "end-of-file", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
  "'!'", 0, 0, 0, 0, "'&'", 0, "'('", "')'", "'*'", "'+'", "','", "'-'", 0, "'/'", 0, 0, 0, 0, 0, 0, 0,
  0, 0, 0, "':'", "';'", 0, "'='", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
  0, 0, 0, "'\\\\'", 0, "'^'", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "END_OF_MODULE", "BEGIN_OF_MODULE",
  "BEGIN_OF_FORMULA", "END_OF_FORMULA", "SUB", "FUNCTION", "ARG", "END", "IF", "THEN",
  "ENDIF", "CASE", "SELECT", "CASEELSE", "WHILE", "DO", "LOOP", "UNTIL", "LOOPUNTIL",
  "LOOPWHILE", "FOR", "EACH", "IN", "EXIT", "TO", "STEP", "NEXT", "CALL", "GOTO",
  "CONTINUE", "BREAK", "RETURN", "PRINT", "NEWLINE", "INTEGER_CONSTANT",
  "FLOATING_CONSTANT", "STRING_CONSTANT", "CHARACTER_CONSTANT", "DATE_CONSTANT",
  "IDENTIFIER", "DEREFID", "BASEOBJECT", "RETURNOBJECT", "FCTMEMBERFCT",
  "OBJMEMBERFCT", "BUILTINFUNCTION", "USERFUNCTION", "MEMBERFUNCTION", "DEREFMF",
  "ALONEOBJ", "OPERATION", "MEMBER", "WITH", "DIM", "PUBLIC", "STATIC", "AS", "NEW",
  "CONST", "DIMS", "OBJECT", "BYTE", "INTEGER", "LONG", "SINGLE", "DOUBLE", "CURRENCY",
  "STRING", "BOOLEAN", "VARIANT", "DATE", "OBJARG", "SET", "NOT", "AND", "OR", "XOR", "EQV",
  "IMP", "EQ", "NE", "LT", "GT", "LE", "GE", "LIKE", "LS", "MOD", "UMINUS", "VAL36LUS", "ELSE",
};
char *yyrule[] =
{
  "$accept : module",
  "module : error NEWLINE",
  "module : begin stat_list end",
  "module : BEGIN_OF_FORMULA expr END_OF_FORMULA NEWLINE",
  "module : BEGIN_OF_FORMULA error END_OF_FORMULA NEWLINE",
  "begin : BEGIN_OF_MODULE NEWLINE",
  "end : END_OF_MODULE NEWLINE",
  "stat_list :",
  "stat_list : statement",
  "stat_list : stat_list statement",
  "statement : stat newline",
  "statement : labeled_stat newline",
  "labeled_stat : INTEGER_CONSTANT stat",
  "stat : expr_stat",
  "stat : select_stat",
  "stat : iter_stat",
  "stat : jump_stat",
  "stat : declar_stat",
  "stat : function",
  "stat : object",
  "declar_stat : dim type_specifier",
  "declar_stat : constant",
"declar_stat : declarator SUB identifier arglist newline stat_list END SUB",
  "declar_stat : declarator FUNCTION identifier arglist newline stat_list END FUNCTION",
  "declar_stat : SUB identifier arglist newline stat_list END SUB",
  "declar_stat : FUNCTION identifier arglist newline stat_list END FUNCTION",
  "declar_stat : WITH identifier newline stat_list END WITH",
  "constant : CONST expr_stat",
  "constant : constant ',' expr_stat",
  "dim : DIM identifier",
  "dim : dim ',' identifier",
  "declarator : PUBLIC",
  "declarator : STATIC",
  "type_specifier :",
  "type_specifier : AS type",
  "type_specifier : AS NEW type",
  "type : OBJECT",
  "type : BYTE",
  "type : INTEGER",
  "type : LONG",
  "type : SINGLE",
  "type : DOUBLE",
  "type : CURRENCY",
  "type : STRING",
  "type : BOOLEAN",
  "type : VARIANT",
  "type : DATE",
  "select_stat : IF expr THEN newline stat_list END IF",
"select_stat : IF expr THEN newline stat_list ELSE newline stat_list END IF",
  "select_stat : SELECT CASE expr newline case_list END SELECT",
  "case_list : CASE expr newline stat_list",
  "case_list : CASE expr ':' stat_list",
  "case_list : CASE ELSE newline stat_list",
  "case_list : CASE ELSE ':' stat_list",
  "case_list : case_list CASE expr newline stat_list",
  "case_list : case_list CASE expr ':' stat_list",
  "case_list : case_list CASE ELSE newline stat_list",
  "case_list : case_list CASE ELSE ':' stat_list",
  "iter_stat : DO WHILE expr newline stat_list LOOP",
  "iter_stat : DO UNTIL expr newline stat_list LOOP",
  "iter_stat : DO newline stat_list LOOP UNTIL expr",
  "iter_stat : DO newline stat_list LOOP WHILE expr",
  "iter_stat : FOR leftexpr '=' expr TO expr newline stat_list next_stat",
  "iter_stat : FOR leftexpr '=' expr TO expr STEP expr newline stat_list next_stat",
  "iter_stat : FOR EACH expr IN expr newline stat_list next_stat",
  "next_stat : NEXT",
  "next_stat : NEXT identifier",
  "jump_stat : CALL identifier arglist",
  "jump_stat : GOTO expr",
  "jump_stat : EXIT FOR",
  "jump_stat : EXIT DO",
  "jump_stat : EXIT FUNCTION",
  "jump_stat : EXIT SUB",
  "expr_stat : leftexpr '=' expr",
  "expr_stat : SET object '=' expr",
  "expr_stat : SET identifier '=' expr",
  "arglist : '(' ')'",
  "arglist : '(' expr_list ')'",
  "arglist : objarg_list",
  "expr_list : expr type_specifier",
  "expr_list : expr_list ',' expr",
  "expr_list : expr_list ';' expr",
  "objarg_list : objarg",
  "objarg_list : objarg_list ',' objarg",
  "objarg : identifier ':' '=' expr",
  "leftexpr : identifier",
  "leftexpr : function",
  "leftexpr : object",
  "expr : '-' expr",
  "expr : '+' expr",
  "expr : expr '+' expr",
  "expr : expr '-' expr",
  "expr : expr '*' expr",
  "expr : expr '/' expr",
  "expr : expr '\\\\' expr",
  "expr : expr MOD expr",
  "expr : expr '^' expr",
  "expr : expr LT expr",
  "expr : expr LE expr",
  "expr : expr GT expr",
  "expr : expr GE expr",
  "expr : expr EQ expr",
  "expr : expr NE expr",
  "expr : expr AND expr",
  "expr : expr EQV expr",
  "expr : expr IMP expr",
  "expr : NOT expr",
  "expr : expr OR expr",
  "expr : expr XOR expr",
  "expr : expr '&' expr",
  "expr : '(' expr ')'",
  "expr : identifier ':' identifier",
  "expr : primary_expr",
  "primary_expr : INTEGER_CONSTANT",
  "primary_expr : FLOATING_CONSTANT",
  "primary_expr : string",
  "primary_expr : identifier",
  "primary_expr : object",
  "primary_expr : function",
  "string : STRING_CONSTANT",
  "string : string STRING_CONSTANT",
  "identifier : IDENTIFIER",
  "identifier : identifier '!' identifier",
  "member : MEMBER",
  "object : member",
  "object : object member",
  "object : object memberfunction",
  "object : identifier memberfunction",
  "object : identifier member",
  "object : function member",
  "object : function memberfunction",
  "function : identifier arglist",
  "memberfunction : member arglist",
  "newline : NEWLINE",
  "newline : newline NEWLINE",
};
#endif
#ifdef YYSTACKSIZE
#undef YYMAXDEPTH
#define YYMAXDEPTH YYSTACKSIZE
#else
#ifdef YYMAXDEPTH
#define YYSTACKSIZE YYMAXDEPTH
#else
#define YYSTACKSIZE 500
#define YYMAXDEPTH 500
#endif
#endif
int yydebug;
int yynerrs;
int yyerrflag;
int yychar;
short *yyssp;
YYSTYPE *yyvsp;
YYSTYPE yyval;
YYSTYPE yylval;
short yyss[YYSTACKSIZE];
YYSTYPE yyvs[YYSTACKSIZE];
#define yystacksize YYSTACKSIZE
#line 275 "gram.y"
#include "parser_ext.h"

int
yyerror (s)
     char *s;
{
  XeditPrintf ("Syntax Error ");
  parseerror ();
  return 0;
}

int
yywrap ()
{
  return 1;
}
#line 1269 "y.tab.c"
#define YYABORT goto yyabort
#define YYREJECT goto yyabort
#define YYACCEPT goto yyaccept
#define YYERROR goto yyerrlab
int
yyparse ()
{
  register int yym, yyn, yystate;
#if YYDEBUG
  register char *yys;
  extern char *getenv ();

  if (yys = getenv ("YYDEBUG"))
    {
      yyn = *yys;
      if (yyn >= '0' && yyn <= '9')
	yydebug = yyn - '0';
    }
#endif

  yynerrs = 0;
  yyerrflag = 0;
  yychar = (-1);

  yyssp = yyss;
  yyvsp = yyvs;
  *yyssp = yystate = 0;

yyloop:
  if (yyn = yydefred[yystate])
    goto yyreduce;
  if (yychar < 0)
    {
      if ((yychar = yylex ()) < 0)
	yychar = 0;
#if YYDEBUG
      if (yydebug)
	{
	  yys = 0;
	  if (yychar <= YYMAXTOKEN)
	    yys = yyname[yychar];
	  if (!yys)
	    yys = "illegal-symbol";
	  printf ("%sdebug: state %d, reading %d (%s)\n",
		  YYPREFIX, yystate, yychar, yys);
	}
#endif
    }
  if ((yyn = yysindex[yystate]) && (yyn += yychar) >= 0 &&
      yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
#if YYDEBUG
      if (yydebug)
	printf ("%sdebug: state %d, shifting to state %d\n",
		YYPREFIX, yystate, yytable[yyn]);
#endif
      if (yyssp >= yyss + yystacksize - 1)
	{
	  goto yyoverflow;
	}
      *++yyssp = yystate = yytable[yyn];
      *++yyvsp = yylval;
      yychar = (-1);
      if (yyerrflag > 0)
	--yyerrflag;
      goto yyloop;
    }
  if ((yyn = yyrindex[yystate]) && (yyn += yychar) >= 0 &&
      yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
      yyn = yytable[yyn];
      goto yyreduce;
    }
  if (yyerrflag)
    goto yyinrecovery;
#ifdef lint
  goto yynewerror;
#endif
yynewerror:
  yyerror ("syntax error");
#ifdef lint
  goto yyerrlab;
#endif
yyerrlab:
  ++yynerrs;
yyinrecovery:
  if (yyerrflag < 3)
    {
      yyerrflag = 3;
      for (;;)
	{
	  if ((yyn = yysindex[*yyssp]) && (yyn += YYERRCODE) >= 0 &&
	      yyn <= YYTABLESIZE && yycheck[yyn] == YYERRCODE)
	    {
#if YYDEBUG
	      if (yydebug)
		printf ("%sdebug: state %d, error recovery shifting\
 to state %d\n", YYPREFIX, *yyssp, yytable[yyn]);
#endif
	      if (yyssp >= yyss + yystacksize - 1)
		{
		  goto yyoverflow;
		}
	      *++yyssp = yystate = yytable[yyn];
	      *++yyvsp = yylval;
	      goto yyloop;
	    }
	  else
	    {
#if YYDEBUG
	      if (yydebug)
		printf ("%sdebug: error recovery discarding state %d\n",
			YYPREFIX, *yyssp);
#endif
	      if (yyssp <= yyss)
		goto yyabort;
	      --yyssp;
	      --yyvsp;
	    }
	}
    }
  else
    {
      if (yychar == 0)
	goto yyabort;
#if YYDEBUG
      if (yydebug)
	{
	  yys = 0;
	  if (yychar <= YYMAXTOKEN)
	    yys = yyname[yychar];
	  if (!yys)
	    yys = "illegal-symbol";
	  printf ("%sdebug: state %d, error recovery discards token %d (%s)\n",
		  YYPREFIX, yystate, yychar, yys);
	}
#endif
      yychar = (-1);
      goto yyloop;
    }
yyreduce:
#if YYDEBUG
  if (yydebug)
    printf ("%sdebug: state %d, reducing by rule %d (%s)\n",
	    YYPREFIX, yystate, yyn, yyrule[yyn]);
#endif
  yym = yylen[yyn];
  yyval = yyvsp[1 - yym];
  switch (yyn)
    {
    case 1:
#line 97 "gram.y"
      {
	yyerrok;
	return 1;
      }
      break;
    case 2:
#line 102 "gram.y"
      {
	ActiveNode = yyvsp[-1].nPtr;
	return 0;
      }
      break;
    case 3:
#line 103 "gram.y"
      {
	ActiveNode = yyvsp[-2].nPtr;
	return 0;
      }
      break;
    case 4:
#line 104 "gram.y"
      {
	return 1;
      }
      break;
    case 7:
#line 110 "gram.y"
      {
	yyval.nPtr = opr (VAL36LUS, "nothing", 0, NULL);
      }
      break;
    case 8:
#line 111 "gram.y"
      {
	yyval.nPtr = opr (NEWLINE, "sl", 1, yyvsp[0].nPtr);
      }
      break;
    case 9:
#line 112 "gram.y"
      {
	yyval.nPtr = addarg (yyvsp[-1].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 10:
#line 115 "gram.y"
      {
	yyval.nPtr = yyvsp[-1].nPtr;
      }
      break;
    case 11:
#line 116 "gram.y"
      {
	yyval.nPtr = yyvsp[-1].nPtr;
      }
      break;
    case 12:
#line 118 "gram.y"
      {
	yyval.nPtr = yyvsp[0].nPtr;
      }
      break;
    case 13:
#line 121 "gram.y"
      {
	yyval.nPtr = yyvsp[0].nPtr;
      }
      break;
    case 14:
#line 122 "gram.y"
      {
	yyval.nPtr = yyvsp[0].nPtr;
      }
      break;
    case 15:
#line 123 "gram.y"
      {
	yyval.nPtr = yyvsp[0].nPtr;
      }
      break;
    case 16:
#line 124 "gram.y"
      {
	yyval.nPtr = yyvsp[0].nPtr;
      }
      break;
    case 17:
#line 125 "gram.y"
      {
	yyval.nPtr = yyvsp[0].nPtr;
      }
      break;
    case 18:
#line 126 "gram.y"
      {
	yyval.nPtr = yyvsp[0].nPtr;
      }
      break;
    case 19:
#line 127 "gram.y"
      {
	yyval.nPtr = opr (ALONEOBJ, "alone obj", 1, yyvsp[0].nPtr);
      }
      break;
    case 20:
#line 130 "gram.y"
      {
	yyval.nPtr = opr (DIM, "Dim", 2, yyvsp[-1].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 21:
#line 131 "gram.y"
      {
	yyval.nPtr = yyvsp[0].nPtr;
      }
      break;
    case 22:
#line 132 "gram.y"
      {
	yyval.nPtr = opr (SUB, "Sub", 3, yyvsp[-5].nPtr, yyvsp[-4].nPtr, yyvsp[-2].nPtr);
	emitlabel (yyval.nPtr);
      }
      break;
    case 23:
#line 133 "gram.y"
      {
	yyval.nPtr = opr (SUB, "Sub", 3, yyvsp[-5].nPtr, yyvsp[-4].nPtr, yyvsp[-2].nPtr);
	emitlabel (yyval.nPtr);
      }
      break;
    case 24:
#line 134 "gram.y"
      {
	yyval.nPtr = opr (SUB, "Sub", 3, yyvsp[-5].nPtr, yyvsp[-4].nPtr, yyvsp[-2].nPtr);
	emitlabel (yyval.nPtr);
      }
      break;
    case 25:
#line 135 "gram.y"
      {
	yyval.nPtr = opr (SUB, "Sub", 3, yyvsp[-5].nPtr, yyvsp[-4].nPtr, yyvsp[-2].nPtr);
	emitlabel (yyval.nPtr);
      }
      break;
    case 26:
#line 136 "gram.y"
      {
	yyval.nPtr = opr (WITH, "With", 2, yyvsp[-4].nPtr, yyvsp[-2].nPtr);
      }
      break;
    case 27:
#line 138 "gram.y"
      {
	yyval.nPtr = opr (CONST, "const", 1, yyvsp[0].nPtr);
      }
      break;
    case 28:
#line 139 "gram.y"
      {
	yyval.nPtr = opr (CONST, "const", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 29:
#line 141 "gram.y"
      {
	yyval.nPtr = opr (DIMS, "dims", 1, yyvsp[0].nPtr);
      }
      break;
    case 30:
#line 142 "gram.y"
      {
	yyval.nPtr = opr (DIMS, "dims", 2, yyvsp[0].nPtr, yyvsp[-2].nPtr);
      }
      break;
    case 31:
#line 145 "gram.y"
      {
      }
      break;
    case 32:
#line 146 "gram.y"
      {
      }
      break;
    case 33:
#line 148 "gram.y"
      {
      }
      break;
    case 34:
#line 149 "gram.y"
      {
      }
      break;
    case 35:
#line 150 "gram.y"
      {
      }
      break;
    case 36:
#line 152 "gram.y"
      {
      }
      break;
    case 37:
#line 153 "gram.y"
      {
      }
      break;
    case 38:
#line 154 "gram.y"
      {
      }
      break;
    case 39:
#line 155 "gram.y"
      {
      }
      break;
    case 40:
#line 156 "gram.y"
      {
      }
      break;
    case 41:
#line 157 "gram.y"
      {
      }
      break;
    case 42:
#line 158 "gram.y"
      {
      }
      break;
    case 43:
#line 159 "gram.y"
      {
      }
      break;
    case 44:
#line 160 "gram.y"
      {
      }
      break;
    case 45:
#line 161 "gram.y"
      {
      }
      break;
    case 46:
#line 162 "gram.y"
      {
      }
      break;
    case 47:
#line 164 "gram.y"
      {
	yyval.nPtr = opr (IF, "IfThen", 2, yyvsp[-5].nPtr, yyvsp[-2].nPtr);
      }
      break;
    case 48:
#line 165 "gram.y"
      {
	yyval.nPtr = opr (IF, "IfThenElse", 3, yyvsp[-8].nPtr, yyvsp[-5].nPtr, yyvsp[-2].nPtr);
      }
      break;
    case 49:
#line 166 "gram.y"
      {
	yyval.nPtr = opr (SELECT, "Selectcase", 2, yyvsp[-4].nPtr, yyvsp[-2].nPtr);
      }
      break;
    case 50:
#line 168 "gram.y"
      {
	yyval.nPtr = opr (CASE, "case", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 51:
#line 169 "gram.y"
      {
	yyval.nPtr = opr (CASE, "case", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 52:
#line 170 "gram.y"
      {
	yyval.nPtr = opr (CASEELSE, "caseelse", 1, yyvsp[0].nPtr);
      }
      break;
    case 53:
#line 171 "gram.y"
      {
	yyval.nPtr = opr (CASEELSE, "caseelse", 1, yyvsp[0].nPtr);
      }
      break;
    case 54:
#line 172 "gram.y"
      {
	yyval.nPtr = opr (CASE, "case", 3, yyvsp[-4].nPtr, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 55:
#line 173 "gram.y"
      {
	yyval.nPtr = opr (CASE, "case", 3, yyvsp[-4].nPtr, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 56:
#line 174 "gram.y"
      {
	yyval.nPtr = opr (CASEELSE, "caseelse", 2, yyvsp[-4].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 57:
#line 175 "gram.y"
      {
	yyval.nPtr = opr (CASEELSE, "caseelse", 2, yyvsp[-4].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 58:
#line 177 "gram.y"
      {
	yyval.nPtr = opr (WHILE, "While", 2, yyvsp[-3].nPtr, yyvsp[-1].nPtr);
      }
      break;
    case 59:
#line 178 "gram.y"
      {
	yyval.nPtr = opr (UNTIL, "Until", 2, yyvsp[-3].nPtr, yyvsp[-1].nPtr);
      }
      break;
    case 60:
#line 179 "gram.y"
      {
	yyval.nPtr = opr (LOOPUNTIL, "LoopUntil", 2, yyvsp[0].nPtr, yyvsp[-3].nPtr);
      }
      break;
    case 61:
#line 180 "gram.y"
      {
	yyval.nPtr = opr (LOOPWHILE, "LoopWhile", 2, yyvsp[0].nPtr, yyvsp[-3].nPtr);
      }
      break;
    case 62:
#line 181 "gram.y"
      {
	yyval.nPtr = opr (FOR, "For", 5, yyvsp[-7].nPtr, yyvsp[-5].nPtr, yyvsp[-3].nPtr, yyvsp[-1].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 63:
#line 182 "gram.y"
      {
	yyval.nPtr = opr (FOR, "ForStep", 6, yyvsp[-9].nPtr, yyvsp[-7].nPtr, yyvsp[-5].nPtr, yyvsp[-3].nPtr, yyvsp[-1].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 64:
#line 183 "gram.y"
      {
      }
      break;
    case 65:
#line 185 "gram.y"
      {
	yyval.nPtr = opr (NEXT, "Next", 0);
      }
      break;
    case 66:
#line 186 "gram.y"
      {
	yyval.nPtr = opr (NEXT, "Nextid", 1, yyvsp[0].nPtr);
      }
      break;
    case 67:
#line 188 "gram.y"
      {
	yyval.nPtr = opr (CALL, "Call", 2, yyvsp[-1].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 68:
#line 189 "gram.y"
      {
      }
      break;
    case 69:
#line 190 "gram.y"
      {
      }
      break;
    case 70:
#line 191 "gram.y"
      {
      }
      break;
    case 71:
#line 192 "gram.y"
      {
      }
      break;
    case 72:
#line 193 "gram.y"
      {
      }
      break;
    case 73:
#line 195 "gram.y"
      {
	yyval.nPtr = opr ('=', "=", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 74:
#line 196 "gram.y"
      {
	yyval.nPtr = opr ('=', "=", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 75:
#line 197 "gram.y"
      {
	yyval.nPtr = opr ('=', "=", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 76:
#line 199 "gram.y"
      {
	yyval.nPtr = opr (ARG, "Arg", 0);
      }
      break;
    case 77:
#line 200 "gram.y"
      {
	yyval.nPtr = yyvsp[-1].nPtr;
      }
      break;
    case 79:
#line 203 "gram.y"
      {
	yyval.nPtr = opr (ARG, "Arg", 1, yyvsp[-1].nPtr);
      }
      break;
    case 80:
#line 204 "gram.y"
      {
	yyval.nPtr = opr (ARG, "Arg", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 81:
#line 205 "gram.y"
      {
	yyval.nPtr = opr (ARG, "Arg", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 82:
#line 208 "gram.y"
      {
	yyval.nPtr = opr (OBJARG, "ObjArg", 1, yyvsp[0].nPtr);
      }
      break;
    case 83:
#line 209 "gram.y"
      {
	yyval.nPtr = opr (OBJARG, "ObjArg", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 84:
#line 211 "gram.y"
      {
	yyval.nPtr = opr (OBJARG, "ObjArg", 1, yyvsp[-3].nPtr);
      }
      break;
    case 85:
#line 213 "gram.y"
      {
	yyval.nPtr = yyvsp[0].nPtr;
      }
      break;
    case 86:
#line 214 "gram.y"
      {
	yyval.nPtr = yyvsp[0].nPtr;
      }
      break;
    case 87:
#line 215 "gram.y"
      {
	yyval.nPtr = yyvsp[0].nPtr;
      }
      break;
    case 88:
#line 217 "gram.y"
      {
	yyval.nPtr = opr (UMINUS, "u-", 1, yyvsp[0].nPtr);
      }
      break;
    case 89:
#line 218 "gram.y"
      {
	yyval.nPtr = yyvsp[0].nPtr;
      }
      break;
    case 90:
#line 219 "gram.y"
      {
	yyval.nPtr = opr ('+', "+", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 91:
#line 220 "gram.y"
      {
	yyval.nPtr = opr ('-', "-", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 92:
#line 221 "gram.y"
      {
	yyval.nPtr = opr ('*', "*", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 93:
#line 222 "gram.y"
      {
	yyval.nPtr = opr ('/', "/", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 94:
#line 223 "gram.y"
      {
	yyval.nPtr = opr ('\\', "\\", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 95:
#line 224 "gram.y"
      {
	yyval.nPtr = opr (MOD, "Mod", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 96:
#line 225 "gram.y"
      {
	yyval.nPtr = opr ('^', "^", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 97:
#line 226 "gram.y"
      {
	yyval.nPtr = opr (LT, "<", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 98:
#line 227 "gram.y"
      {
	yyval.nPtr = opr (LE, "<=", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 99:
#line 228 "gram.y"
      {
	yyval.nPtr = opr (GT, ">", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 100:
#line 229 "gram.y"
      {
	yyval.nPtr = opr (GE, ">=", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 101:
#line 230 "gram.y"
      {
	yyval.nPtr = opr (EQ, "==", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 102:
#line 231 "gram.y"
      {
	yyval.nPtr = opr (NE, "<>", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 103:
#line 232 "gram.y"
      {
	yyval.nPtr = opr (AND, "And", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 104:
#line 233 "gram.y"
      {
	yyval.nPtr = opr (EQV, "Eqv", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 105:
#line 234 "gram.y"
      {
	yyval.nPtr = opr (IMP, "Imp", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 106:
#line 235 "gram.y"
      {
	yyval.nPtr = opr (NOT, "Not", 1, yyvsp[0].nPtr);
      }
      break;
    case 107:
#line 236 "gram.y"
      {
	yyval.nPtr = opr (OR, "Or", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 108:
#line 237 "gram.y"
      {
	yyval.nPtr = opr (XOR, "Xor", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 109:
#line 238 "gram.y"
      {
	yyval.nPtr = opr ('&', "&", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 110:
#line 239 "gram.y"
      {
	yyval.nPtr = yyvsp[-1].nPtr;
      }
      break;
    case 111:
#line 240 "gram.y"
      {
	yyval.nPtr = opr (':', ":", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 112:
#line 241 "gram.y"
      {
	yyval.nPtr = yyvsp[0].nPtr;
      }
      break;
    case 113:
#line 243 "gram.y"
      {
	yyval.nPtr = con (putinteger ());
      }
      break;
    case 114:
#line 244 "gram.y"
      {
	yyval.nPtr = con (putfloat ());
      }
      break;
    case 115:
#line 245 "gram.y"
      {
	yyval.nPtr = con (cleanstring (yyvsp[0].o));
      }
      break;
    case 116:
#line 246 "gram.y"
      {
	yyval.nPtr = yyvsp[0].nPtr;
      }
      break;
    case 117:
#line 247 "gram.y"
      {
	yyval.nPtr = yyvsp[0].nPtr;
      }
      break;
    case 118:
#line 248 "gram.y"
      {
	yyval.nPtr = yyvsp[0].nPtr;
      }
      break;
    case 119:
#line 250 "gram.y"
      {
	yyval.o = putstring ();
      }
      break;
    case 120:
#line 251 "gram.y"
      {
	yyval.o = addstring (yyvsp[-1].o);
      }
      break;
    case 121:
#line 253 "gram.y"
      {
	yyval.nPtr = id (putidentifier ());
      }
      break;
    case 122:
#line 254 "gram.y"
      {
	yyval.nPtr = opr ('!', "!", 2, yyvsp[-2].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 123:
#line 256 "gram.y"
      {
	yyval.nPtr = member (putmember ());
      }
      break;
    case 124:
#line 258 "gram.y"
      {
	yyval.nPtr = opr (BASEOBJECT, "member", 1, yyvsp[0].nPtr);
      }
      break;
    case 125:
#line 259 "gram.y"
      {
	yyval.nPtr = opr ('.', ".", 2, yyvsp[-1].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 126:
#line 260 "gram.y"
      {
	yyval.nPtr = opr (OBJMEMBERFCT, "object.Memberfct", 2, yyvsp[-1].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 127:
#line 261 "gram.y"
      {
	yyval.nPtr = opr (OBJMEMBERFCT, "identif.Memberfct", 2, yyvsp[-1].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 128:
#line 262 "gram.y"
      {
	yyval.nPtr = opr ('.', ".", 2, yyvsp[-1].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 129:
#line 263 "gram.y"
      {
	yyval.nPtr = opr (RETURNOBJECT, "Function.object", 2, yyvsp[-1].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 130:
#line 264 "gram.y"
      {
	yyval.nPtr = opr (FCTMEMBERFCT, "Function.Memberfct", 2, yyvsp[-1].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 131:
#line 266 "gram.y"
      {
	yyval.nPtr = opr (CALL, "Call", 2, yyvsp[-1].nPtr, yyvsp[0].nPtr);
      }
      break;
    case 132:
#line 269 "gram.y"
      {
	yyval.nPtr = opr (MEMBERFUNCTION, "MemberFct", 2, opr (BASEOBJECT, "member", 1, yyvsp[-1].nPtr), yyvsp[0].nPtr);
      }
      break;
    case 133:
#line 272 "gram.y"
      {
      }
      break;
    case 134:
#line 273 "gram.y"
      {
      }
      break;
#line 1937 "y.tab.c"
    }
  yyssp -= yym;
  yystate = *yyssp;
  yyvsp -= yym;
  yym = yylhs[yyn];
  if (yystate == 0 && yym == 0)
    {
#if YYDEBUG
      if (yydebug)
	printf ("%sdebug: after reduction, shifting from state 0 to\
 state %d\n", YYPREFIX, YYFINAL);
#endif
      yystate = YYFINAL;
      *++yyssp = YYFINAL;
      *++yyvsp = yyval;
      if (yychar < 0)
	{
	  if ((yychar = yylex ()) < 0)
	    yychar = 0;
#if YYDEBUG
	  if (yydebug)
	    {
	      yys = 0;
	      if (yychar <= YYMAXTOKEN)
		yys = yyname[yychar];
	      if (!yys)
		yys = "illegal-symbol";
	      printf ("%sdebug: state %d, reading %d (%s)\n",
		      YYPREFIX, YYFINAL, yychar, yys);
	    }
#endif
	}
      if (yychar == 0)
	goto yyaccept;
      goto yyloop;
    }
  if ((yyn = yygindex[yym]) && (yyn += yystate) >= 0 &&
      yyn <= YYTABLESIZE && yycheck[yyn] == yystate)
    yystate = yytable[yyn];
  else
    yystate = yydgoto[yym];
#if YYDEBUG
  if (yydebug)
    printf ("%sdebug: after reduction, shifting from state %d \
to state %d\n", YYPREFIX, *yyssp, yystate);
#endif
  if (yyssp >= yyss + yystacksize - 1)
    {
      goto yyoverflow;
    }
  *++yyssp = yystate;
  *++yyvsp = yyval;
  goto yyloop;
yyoverflow:
  yyerror ("yacc stack overflow");
yyabort:
  return (1);
yyaccept:
  return (0);
}
