/********************************************************************
This file is part of the abs 0.6a distribution.  abs is a spreadsheet
with graphical user interface.

Copyright (C) 1998-1999  Andr Bertin (Andre.Bertin@ping.be) 

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version if in the same spirit as version 2.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Concact: Andre.Bertin@ping.be
         http://www.ping.be/bertin/abs.shtml

*********************************************************************/

#ifndef WIDGET_MAKER_H
#define WIDGET_MAKER_H

#include <stdio.h>
#include "param.h"
#include "xpm.h"

extern void mpst();
extern void mcut();
extern void mcpy();
extern void mcpyd();
extern void mcpyr();
extern void a_popdown();
extern void cb_flpopup();
extern void cb_popdown();
extern Widget gettop();
extern void MenuPopdown();


extern int make_pixmap_from_data( Widget parent, char **bits, Pixmap *bm);

extern Widget
make_toggle_pixmap(Widget parent, char *name, char **pix_bits, void (*ftccallback) (), XtPointer param);

extern Widget
make_check (Widget parent, char *name, void (*ftccallback) (), XtPointer param);
extern Boolean getcheck (Widget w);
extern int setcheck (Widget w, int on);
extern Widget make_check(Widget parent,char* name,void (*ftccallback) (), XtPointer  param);



extern Widget
make_button_pixmap(Widget parent, char *name, char **pix_bits, void (*ftccallback) (), XtPointer param);
extern Widget
make_bar_button_pixmap ( Widget menu_bar, char *name, char **pix_bits);
extern Widget
make_menu_button_pixmap(Widget parent, char *name, char **pix_bits, void (*ftccallback) (), XtPointer param);

extern int rebuild_thumb();

#endif /* WIDGET_MAKER_H*/
