/********************************************************************
This file is part of the abs 0.6a distribution.  abs is a spreadsheet
with graphical user interface.

Copyright (C) 1998-1999  Andr Bertin (Andre.Bertin@ping.be) 

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version if in the same spirit as version 2.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Concact: Andre.Bertin@ping.be
         http://www.ping.be/bertin/abs.shtml

*********************************************************************/

/* #define         TRANSP_BACKGROUND       -3      */
/* #define         TRANSP_NONE             -2       */

/* #define         DEFAULT               (-1) */

/* #define         SOLID_LINE              0 */
/* #define         DASHLINE               1 */
/* #define         DOTTED_LINE             2 */
/* #define         DASH_DOT_LINE           3 */
/* #define         DASH_2_DOTS_LINE        4 */
/* #define         DASH_3_DOTS_LINE        5 */

/* #define         RUBBER_LINE             11 */
/* #define         PANEL_LINE              12 */

/* #define         BLACK                   0 */
/* #define         BLUE                    1 */
/* #define         GREEN                   2 */
/* #define         CYAN                    3 */
/* #define         RED                     4 */
/* #define         MAGENTA                 5 */
/* #define         YELLOW                  6 */
/* #define         WHITE                   7 */


/* #define                                 T_LEFT_JUSTIFIED        0 */
/* #define                                 T_CENTER_JUSTIFIED      1 */
/* #define                                 T_RIGHT_JUSTIFIED       2 */

/* #define                                 RIGID_TEXT              1 */
/* #define                                 SPECIAL_TEXT            2 */
/* #define                                 PSFONT_TEXT             4 */
/* #define                                 HIDDEN_TEXT             8 */

/*u_font.h*/
/* #define DEF_FONTSIZE 12        */
/* #define DEF_PS_FONT 0 */
/* #define DEF_LATEX_FONT 0 */
/* #define PS_FONTPANE_WD 290 */
/* #define LATEX_FONTPANE_WD 112 */
/* #define PS_FONTPANE_HT 20 */
/* #define LATEX_FONTPANE_HT 20 */
/* #define NUM_FONTS 35 */
/* #define NUM_LATEX_FONTS 6 */
/*
struct _fstruct ps_fontinfo[NUM_FONTS + 1] = {       	font	fontw
    {"Default", -1},					0	0 1 2 3 	
    {"Times-Roman",                     0},		3	0
    {"Times-Italic",                    1},		3	1
    {"Times-Bold",                      2},		3	2
    {"Times-BoldItalic",                3},		3	3
    {"AvantGarde-Book",                 4},
    {"AvantGarde-BookOblique",          5},
    {"AvantGarde-Demi",                 6},
    {"AvantGarde-DemiOblique",          7},
    {"Bookman-Light",                   8},
    {"Bookman-LightItalic",             9},
    {"Bookman-Demi",                    10},
    {"Bookman-DemiItalic",              11},
    {"Courier",                         12},		1	0
    {"Courier-Oblique",                 13},		1	1
    {"Courier-Bold",                    14},		1	2
    {"Courier-BoldOblique",             15},		1	3
    {"Helvetica",                       16},  		2	0
    {"Helvetica-Oblique",               17},		2	1
    {"Helvetica-Bold",                  18},		2	2
    {"Helvetica-BoldOblique",           19},		2	3
    {"Helvetica-Nflech",                20},
    {"Helvetica-Nflech-Oblique",        21},
    {"Helvetica-Nflech-Bold",           22},
    {"Helvetica-Nflech-BoldOblique",    23},
    {"NewCenturySchlbk-Roman",          24},
    {"NewCenturySchlbk-Italic",         25},
    {"NewCenturySchlbk-Bold",           26},
    {"NewCenturySchlbk-BoldItalic",     27},
    {"Palatino-Roman",                  28},
    {"Palatino-Italic",                 29},
    {"Palatino-Bold",                   30},
    {"Palatino-BoldItalic",             31},
    {"Symbol",                          32},		4	0 1 2 3
    {"ZapfChancery-MediumItalic",       33},
    {"ZapfDingbats",                    34},
};
size 60 80 100 120 140 180 240
*/
extern int FIG_options(int resolution);
extern int FIG_init(FILE* name);
extern int FIG_setcol (int col);
extern int FIG_fillarc (long x1,long y1,long w,long h,long a1 ,long a2);
extern int FIG_arc (long x1,long  y1,long  w,long  h,long  a1 ,long  a2);
extern int FIG_rectangle (int x1,int  y1,int w,int h);
extern int FIG_fillrectangle (int x1,int y1,int w,int h,int d);
extern int FIG_linetype(int linetype);
extern int FIG_line(long x1,long  y1,long x2,long y2);
extern int FIG_setfont (int font,int fontw,int fonts);
extern int FIG_put_text(long x, long y,char* str);
extern int FIG_text_angle(int ang);
extern int FIG_justify_text(int mode);
extern int FIG_point(int x, int y, int number);
