/********************************************************************
This file is part of the abs 0.6a distribution.  abs is a spreadsheet
with graphical user interface.

Copyright (C) 1998-1999  Andr Bertin (Andre.Bertin@ping.be) 

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version if in the same spirit as version 2.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Concact: Andre.Bertin@ping.be
         http://www.ping.be/bertin/abs.shtml

*********************************************************************/

#include <stdio.h>
#include "param.h"
#include "mydialog.h"


extern Widget gettop();

Widget
make_toggle_pixmap(Widget parent, char *name, char **pix_bits, void (*ftccallback) (), XtPointer param);

Widget
make_button_pixmap(Widget parent, char *name, char **pix_bits, void (*ftccallback) (), XtPointer param);


ThumbDialog *td2;
Widget plottype;
Widget typelist;
Widget range;
Widget ranges;
Widget seriename;
Widget titre1;
Widget Xaxis;
Widget Yaxis;
Widget btn;
Widget btn2;
Widget btn3;
Widget btn4;
Widget btn5;
Widget hgrid;
Widget vgrid;
Widget ymax,ymin,yunit,xmax,xmin,xunit;
Widget ymaxv,yminv,yunitv,xmaxv,xminv,xunitv;
static int selectedtype = -1;
int previousrange = 1;

static char *plot_type[] = {
			    "XY         ",
			    "Pie        ",
			    "Bar        ",
			    "           ",
			    "           ",
};
static char *plotpane[] = {
			   "type",
			   "range",
			   "labels",
			   "grid",
			   "axis",
};

static char *serie[] = {
			"X",
			"Y1",
			"Y2",
			"Y3",
			"Y4",
			"Y5",
			"Y6",
			"Y7",
			"  ",
};
