/********************************************************************
This file is part of the abs 0.6a distribution.  abs is a spreadsheet
with graphical user interface.

Copyright (C) 1998-1999  Andr Bertin (Andre.Bertin@ping.be) 

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version if in the same spirit as version 2.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Concact: Andre.Bertin@ping.be
         http://www.ping.be/bertin/abs.shtml

*********************************************************************/

#ifndef SYMBOLTABLE_H
#define SYMBOLTABLE_H

#include "string.h"
#include "stdlib.h"
#include "stdio.h"
#include "object.h"

struct _name {
struct _name * next;
char* label;
obj id; /*ceci est le contenu de l'identificateur*/
};

typedef struct _name name;

struct _bigitem {
struct _bigitem * next;
char* label;
int ref;
};

typedef struct _bigitem bigitem;

extern char* biglook (const char* p, int ins);
extern obj* look (const char* p, int ins);
extern obj* insert(const char* s) ;
extern int newlocalidtable() ;
extern int deletelocalidtable() ;

#endif /*  SYMBOLTABLE_H */
