/********************************************************************
This file is part of the abs 0.6a distribution.  abs is a spreadsheet
with graphical user interface.

Copyright (C) 1998-1999  Andr Bertin (Andre.Bertin@ping.be) 

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version if in the same spirit as version 2.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Concact: Andre.Bertin@ping.be
         http://www.ping.be/bertin/abs.shtml

*********************************************************************/

#ifndef WORKSHEET_VB_H
#define WORKSHEET_VB_H
#include "worksheet.h"
#include "object.h"


extern obj vb_gworksheet (int narg,obj* arg);

/*properties*/
extern obj vb_g_Worksheets ();
extern obj vb_g_ActiveWorksheet ();

extern obj vb_worksheet_setname (int narg,obj* arg);
extern obj vb_worksheet_gname (int narg,obj* arg);
extern obj vb_worksheet_activate (int narg,obj* arg);
extern obj vb_worksheet_calculate (int narg,obj* arg);
extern obj vb_worksheet_copy (int narg,obj* arg);
extern obj vb_worksheet_delete (int narg,obj* arg);
extern obj vb_worksheet_move (int narg,obj* arg);
extern obj vb_worksheet_paste (int narg,obj* arg);
extern obj vb_worksheet_printout (int narg,obj* arg);
extern obj vb_worksheet_gcell (int narg,obj* arg);
extern obj vb_worksheet_gchart (int narg,obj* arg);

extern obj vb_shapes_add  (int narg,obj* arg);

extern obj vb_worksheets_setcount  (int narg,obj* arg);
extern obj vb_worksheets_gcount  (int narg,obj* arg);
extern obj vb_worksheets_add  (int narg,obj* arg);

#endif /* WORKSHEET_VB_H*/
